/***************************************************************************
 *     Copyright (c) 1999-2009, Broadcom Corporation
 *
 **********************************************************************
 * This file is part of the crystalhd device driver.
 *
 * This driver is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This driver is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this driver.  If not, see <http://www.gnu.org/licenses/>.
 **********************************************************************
 *
 * $brcm_Workfile: bchp_csc.h $
 * $brcm_Revision: Hydra_Software_Devel/1 $
 * $brcm_Date: 7/17/09 7:58p $
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Fri Jul 17 19:42:17 2009
 *                 MD5 Checksum         2914699efc3fb3edefca5cb4f4f38b34
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.008008
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/70015/rdb/a0/bchp_csc.h $
 * 
 * Hydra_Software_Devel/1   7/17/09 7:58p albertl
 * PR56880: Initial revision.
 *
 ***************************************************************************/

#ifndef BCHP_CSC_H__
#define BCHP_CSC_H__

/***************************************************************************
 *CSC - Color Space Converter Registers
 ***************************************************************************/
#define BCHP_CSC_CSC_CTRL                        0x00541000 /* Color Matrix Control */
#define BCHP_CSC_CSC_COEFF_C00                   0x00541010 /* Color Matrix coefficients  c00 */
#define BCHP_CSC_CSC_COEFF_C01                   0x00541014 /* Color Matrix coefficients  c01 */
#define BCHP_CSC_CSC_COEFF_C02                   0x00541018 /* Color Matrix coefficients  c02 */
#define BCHP_CSC_CSC_COEFF_C03                   0x0054101c /* Color Matrix coefficients  c03 */
#define BCHP_CSC_CSC_COEFF_C10                   0x00541020 /* Color Matrix coefficients  c10 */
#define BCHP_CSC_CSC_COEFF_C11                   0x00541024 /* Color Matrix coefficients  c11 */
#define BCHP_CSC_CSC_COEFF_C12                   0x00541028 /* Color Matrix coefficients  c12 */
#define BCHP_CSC_CSC_COEFF_C13                   0x0054102c /* Color Matrix coefficients  c13 */
#define BCHP_CSC_CSC_COEFF_C20                   0x00541030 /* Color Matrix coefficients  c20 */
#define BCHP_CSC_CSC_COEFF_C21                   0x00541034 /* Color Matrix coefficients  c21 */
#define BCHP_CSC_CSC_COEFF_C22                   0x00541038 /* Color Matrix coefficients  c22 */
#define BCHP_CSC_CSC_COEFF_C23                   0x0054103c /* Color Matrix coefficients  c23 */

/***************************************************************************
 *CSC_CTRL - Color Matrix Control
 ***************************************************************************/
/* CSC :: CSC_CTRL :: reserved0 [31:01] */
#define BCHP_CSC_CSC_CTRL_reserved0_MASK                           0xfffffffe
#define BCHP_CSC_CSC_CTRL_reserved0_SHIFT                          1

/* CSC :: CSC_CTRL :: CSC_ENABLE [00:00] */
#define BCHP_CSC_CSC_CTRL_CSC_ENABLE_MASK                          0x00000001
#define BCHP_CSC_CSC_CTRL_CSC_ENABLE_SHIFT                         0

/***************************************************************************
 *CSC_COEFF_C00 - Color Matrix coefficients  c00
 ***************************************************************************/
/* CSC :: CSC_COEFF_C00 :: reserved0 [31:16] */
#define BCHP_CSC_CSC_COEFF_C00_reserved0_MASK                      0xffff0000
#define BCHP_CSC_CSC_COEFF_C00_reserved0_SHIFT                     16

/* CSC :: CSC_COEFF_C00 :: COEFF_MUL [15:00] */
#define BCHP_CSC_CSC_COEFF_C00_COEFF_MUL_MASK                      0x0000ffff
#define BCHP_CSC_CSC_COEFF_C00_COEFF_MUL_SHIFT                     0

/***************************************************************************
 *CSC_COEFF_C01 - Color Matrix coefficients  c01
 ***************************************************************************/
/* CSC :: CSC_COEFF_C01 :: reserved0 [31:16] */
#define BCHP_CSC_CSC_COEFF_C01_reserved0_MASK                      0xffff0000
#define BCHP_CSC_CSC_COEFF_C01_reserved0_SHIFT                     16

/* CSC :: CSC_COEFF_C01 :: COEFF_MUL [15:00] */
#define BCHP_CSC_CSC_COEFF_C01_COEFF_MUL_MASK                      0x0000ffff
#define BCHP_CSC_CSC_COEFF_C01_COEFF_MUL_SHIFT                     0

/***************************************************************************
 *CSC_COEFF_C02 - Color Matrix coefficients  c02
 ***************************************************************************/
/* CSC :: CSC_COEFF_C02 :: reserved0 [31:16] */
#define BCHP_CSC_CSC_COEFF_C02_reserved0_MASK                      0xffff0000
#define BCHP_CSC_CSC_COEFF_C02_reserved0_SHIFT                     16

/* CSC :: CSC_COEFF_C02 :: COEFF_MUL [15:00] */
#define BCHP_CSC_CSC_COEFF_C02_COEFF_MUL_MASK                      0x0000ffff
#define BCHP_CSC_CSC_COEFF_C02_COEFF_MUL_SHIFT                     0

/***************************************************************************
 *CSC_COEFF_C03 - Color Matrix coefficients  c03
 ***************************************************************************/
/* CSC :: CSC_COEFF_C03 :: reserved0 [31:16] */
#define BCHP_CSC_CSC_COEFF_C03_reserved0_MASK                      0xffff0000
#define BCHP_CSC_CSC_COEFF_C03_reserved0_SHIFT                     16

/* CSC :: CSC_COEFF_C03 :: COEFF_ADD [15:00] */
#define BCHP_CSC_CSC_COEFF_C03_COEFF_ADD_MASK                      0x0000ffff
#define BCHP_CSC_CSC_COEFF_C03_COEFF_ADD_SHIFT                     0

/***************************************************************************
 *CSC_COEFF_C10 - Color Matrix coefficients  c10
 ***************************************************************************/
/* CSC :: CSC_COEFF_C10 :: reserved0 [31:16] */
#define BCHP_CSC_CSC_COEFF_C10_reserved0_MASK                      0xffff0000
#define BCHP_CSC_CSC_COEFF_C10_reserved0_SHIFT                     16

/* CSC :: CSC_COEFF_C10 :: COEFF_MUL [15:00] */
#define BCHP_CSC_CSC_COEFF_C10_COEFF_MUL_MASK                      0x0000ffff
#define BCHP_CSC_CSC_COEFF_C10_COEFF_MUL_SHIFT                     0

/***************************************************************************
 *CSC_COEFF_C11 - Color Matrix coefficients  c11
 ***************************************************************************/
/* CSC :: CSC_COEFF_C11 :: reserved0 [31:16] */
#define BCHP_CSC_CSC_COEFF_C11_reserved0_MASK                      0xffff0000
#define BCHP_CSC_CSC_COEFF_C11_reserved0_SHIFT                     16

/* CSC :: CSC_COEFF_C11 :: COEFF_MUL [15:00] */
#define BCHP_CSC_CSC_COEFF_C11_COEFF_MUL_MASK                      0x0000ffff
#define BCHP_CSC_CSC_COEFF_C11_COEFF_MUL_SHIFT                     0

/***************************************************************************
 *CSC_COEFF_C12 - Color Matrix coefficients  c12
 ***************************************************************************/
/* CSC :: CSC_COEFF_C12 :: reserved0 [31:16] */
#define BCHP_CSC_CSC_COEFF_C12_reserved0_MASK                      0xffff0000
#define BCHP_CSC_CSC_COEFF_C12_reserved0_SHIFT                     16

/* CSC :: CSC_COEFF_C12 :: COEFF_MUL [15:00] */
#define BCHP_CSC_CSC_COEFF_C12_COEFF_MUL_MASK                      0x0000ffff
#define BCHP_CSC_CSC_COEFF_C12_COEFF_MUL_SHIFT                     0

/***************************************************************************
 *CSC_COEFF_C13 - Color Matrix coefficients  c13
 ***************************************************************************/
/* CSC :: CSC_COEFF_C13 :: reserved0 [31:16] */
#define BCHP_CSC_CSC_COEFF_C13_reserved0_MASK                      0xffff0000
#define BCHP_CSC_CSC_COEFF_C13_reserved0_SHIFT                     16

/* CSC :: CSC_COEFF_C13 :: COEFF_ADD [15:00] */
#define BCHP_CSC_CSC_COEFF_C13_COEFF_ADD_MASK                      0x0000ffff
#define BCHP_CSC_CSC_COEFF_C13_COEFF_ADD_SHIFT                     0

/***************************************************************************
 *CSC_COEFF_C20 - Color Matrix coefficients  c20
 ***************************************************************************/
/* CSC :: CSC_COEFF_C20 :: reserved0 [31:16] */
#define BCHP_CSC_CSC_COEFF_C20_reserved0_MASK                      0xffff0000
#define BCHP_CSC_CSC_COEFF_C20_reserved0_SHIFT                     16

/* CSC :: CSC_COEFF_C20 :: COEFF_MUL [15:00] */
#define BCHP_CSC_CSC_COEFF_C20_COEFF_MUL_MASK                      0x0000ffff
#define BCHP_CSC_CSC_COEFF_C20_COEFF_MUL_SHIFT                     0

/***************************************************************************
 *CSC_COEFF_C21 - Color Matrix coefficients  c21
 ***************************************************************************/
/* CSC :: CSC_COEFF_C21 :: reserved0 [31:16] */
#define BCHP_CSC_CSC_COEFF_C21_reserved0_MASK                      0xffff0000
#define BCHP_CSC_CSC_COEFF_C21_reserved0_SHIFT                     16

/* CSC :: CSC_COEFF_C21 :: COEFF_MUL [15:00] */
#define BCHP_CSC_CSC_COEFF_C21_COEFF_MUL_MASK                      0x0000ffff
#define BCHP_CSC_CSC_COEFF_C21_COEFF_MUL_SHIFT                     0

/***************************************************************************
 *CSC_COEFF_C22 - Color Matrix coefficients  c22
 ***************************************************************************/
/* CSC :: CSC_COEFF_C22 :: reserved0 [31:16] */
#define BCHP_CSC_CSC_COEFF_C22_reserved0_MASK                      0xffff0000
#define BCHP_CSC_CSC_COEFF_C22_reserved0_SHIFT                     16

/* CSC :: CSC_COEFF_C22 :: COEFF_MUL [15:00] */
#define BCHP_CSC_CSC_COEFF_C22_COEFF_MUL_MASK                      0x0000ffff
#define BCHP_CSC_CSC_COEFF_C22_COEFF_MUL_SHIFT                     0

/***************************************************************************
 *CSC_COEFF_C23 - Color Matrix coefficients  c23
 ***************************************************************************/
/* CSC :: CSC_COEFF_C23 :: reserved0 [31:16] */
#define BCHP_CSC_CSC_COEFF_C23_reserved0_MASK                      0xffff0000
#define BCHP_CSC_CSC_COEFF_C23_reserved0_SHIFT                     16

/* CSC :: CSC_COEFF_C23 :: COEFF_ADD [15:00] */
#define BCHP_CSC_CSC_COEFF_C23_COEFF_ADD_MASK                      0x0000ffff
#define BCHP_CSC_CSC_COEFF_C23_COEFF_ADD_SHIFT                     0

#endif /* #ifndef BCHP_CSC_H__ */

/* End of File */
