/***************************************************************************
 *     Copyright (c) 1999-2009, Broadcom Corporation
 *
 **********************************************************************
 * This file is part of the crystalhd device driver.
 *
 * This driver is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This driver is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this driver.  If not, see <http://www.gnu.org/licenses/>.
 **********************************************************************
 *
 * $brcm_Workfile: bchp_decode_dblk_0.h $
 * $brcm_Revision: Hydra_Software_Devel/1 $
 * $brcm_Date: 7/17/09 8:02p $
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Fri Jul 17 19:42:48 2009
 *                 MD5 Checksum         2914699efc3fb3edefca5cb4f4f38b34
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.008008
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/70015/rdb/a0/bchp_decode_dblk_0.h $
 * 
 * Hydra_Software_Devel/1   7/17/09 8:02p albertl
 * PR56880: Initial revision.
 *
 ***************************************************************************/

#ifndef BCHP_DECODE_DBLK_0_H__
#define BCHP_DECODE_DBLK_0_H__

/***************************************************************************
 *DECODE_DBLK_0
 ***************************************************************************/
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL          0x00800720 /* Deblocking Control */
#define BCHP_DECODE_DBLK_0_REG_DBLK_OUT          0x00800724 /* Deblocking Output Control */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM        0x00800728 /* REG_OLAP_XFORM - VC-1 only */
#define BCHP_DECODE_DBLK_0_REG_DBLK_QNT          0x0080072c /* Deblocking Quantization Data */
#define BCHP_DECODE_DBLK_0_REG_DBLK_OFFSET       0x00800730 /* Deblocking filter offsets (H.264 only) */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX      0x00800734 /* Deblocking Top Context */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO        0x00800738 /* Deblocking: Transform has non-zero coefs */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF       0x0080073c /* Deblocking Motion Vector Difference */

/***************************************************************************
 *REG_DBLK_CTL - Deblocking Control
 ***************************************************************************/
/* DECODE_DBLK_0 :: REG_DBLK_CTL :: reserved0 [31:15] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_reserved0_MASK             0xffff8000
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_reserved0_SHIFT            15

/* DECODE_DBLK_0 :: REG_DBLK_CTL :: Ctl_Edge_Top [14:14] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Ctl_Edge_Top_MASK          0x00004000
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Ctl_Edge_Top_SHIFT         14

/* DECODE_DBLK_0 :: REG_DBLK_CTL :: Ctl_Edge_Bottom [13:13] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Ctl_Edge_Bottom_MASK       0x00002000
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Ctl_Edge_Bottom_SHIFT      13

/* DECODE_DBLK_0 :: REG_DBLK_CTL :: Csr_dbhz_chr_top_mvdiff [12:12] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Csr_dbhz_chr_top_mvdiff_MASK 0x00001000
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Csr_dbhz_chr_top_mvdiff_SHIFT 12

/* DECODE_DBLK_0 :: REG_DBLK_CTL :: Csr_dbvt_chr_top_mvdiff [11:11] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Csr_dbvt_chr_top_mvdiff_MASK 0x00000800
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Csr_dbvt_chr_top_mvdiff_SHIFT 11

/* DECODE_DBLK_0 :: REG_DBLK_CTL :: Csr_dbhz_chr_mvdiff [10:10] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Csr_dbhz_chr_mvdiff_MASK   0x00000400
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Csr_dbhz_chr_mvdiff_SHIFT  10

/* DECODE_DBLK_0 :: REG_DBLK_CTL :: Csr_dbvt_chr_mvdiff [09:09] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Csr_dbvt_chr_mvdiff_MASK   0x00000200
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Csr_dbvt_chr_mvdiff_SHIFT  9

/* DECODE_DBLK_0 :: REG_DBLK_CTL :: MPEG [08:08] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_MPEG_MASK                  0x00000100
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_MPEG_SHIFT                 8

/* DECODE_DBLK_0 :: REG_DBLK_CTL :: H264_8x8 [07:07] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_H264_8x8_MASK              0x00000080
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_H264_8x8_SHIFT             7

/* DECODE_DBLK_0 :: REG_DBLK_CTL :: Mono [06:06] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Mono_MASK                  0x00000040
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Mono_SHIFT                 6

/* DECODE_DBLK_0 :: REG_DBLK_CTL :: Is_Last [05:05] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Is_Last_MASK               0x00000020
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Is_Last_SHIFT              5

/* DECODE_DBLK_0 :: REG_DBLK_CTL :: Intra [04:04] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Intra_MASK                 0x00000010
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Intra_SHIFT                4

/* DECODE_DBLK_0 :: REG_DBLK_CTL :: Fleft [03:03] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Fleft_MASK                 0x00000008
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Fleft_SHIFT                3

/* DECODE_DBLK_0 :: REG_DBLK_CTL :: Ftop [02:02] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Ftop_MASK                  0x00000004
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Ftop_SHIFT                 2

/* DECODE_DBLK_0 :: REG_DBLK_CTL :: Fint [01:01] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Fint_MASK                  0x00000002
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_Fint_SHIFT                 1

/* DECODE_DBLK_0 :: REG_DBLK_CTL :: CES [00:00] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_CES_MASK                   0x00000001
#define BCHP_DECODE_DBLK_0_REG_DBLK_CTL_CES_SHIFT                  0

/***************************************************************************
 *REG_DBLK_OUT - Deblocking Output Control
 ***************************************************************************/
/* DECODE_DBLK_0 :: REG_DBLK_OUT :: reserved0 [31:17] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_OUT_reserved0_MASK             0xfffe0000
#define BCHP_DECODE_DBLK_0_REG_DBLK_OUT_reserved0_SHIFT            17

/* DECODE_DBLK_0 :: REG_DBLK_OUT :: Out2 [16:16] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_OUT_Out2_MASK                  0x00010000
#define BCHP_DECODE_DBLK_0_REG_DBLK_OUT_Out2_SHIFT                 16

/* DECODE_DBLK_0 :: REG_DBLK_OUT :: PicNum2 [15:08] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_OUT_PicNum2_MASK               0x0000ff00
#define BCHP_DECODE_DBLK_0_REG_DBLK_OUT_PicNum2_SHIFT              8

/* DECODE_DBLK_0 :: REG_DBLK_OUT :: PicNum [07:00] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_OUT_PicNum_MASK                0x000000ff
#define BCHP_DECODE_DBLK_0_REG_DBLK_OUT_PicNum_SHIFT               0

/***************************************************************************
 *REG_OLAP_XFORM - REG_OLAP_XFORM - VC-1 only
 ***************************************************************************/
/* DECODE_DBLK_0 :: REG_OLAP_XFORM :: reserved0 [31:30] */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_reserved0_MASK           0xc0000000
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_reserved0_SHIFT          30

/* DECODE_DBLK_0 :: REG_OLAP_XFORM :: TopVIntra [29:29] */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_TopVIntra_MASK           0x20000000
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_TopVIntra_SHIFT          29

/* DECODE_DBLK_0 :: REG_OLAP_XFORM :: TopUIntra [28:28] */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_TopUIntra_MASK           0x10000000
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_TopUIntra_SHIFT          28

/* DECODE_DBLK_0 :: REG_OLAP_XFORM :: TopLIntra [27:24] */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_TopLIntra_MASK           0x0f000000
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_TopLIntra_SHIFT          24

/* DECODE_DBLK_0 :: REG_OLAP_XFORM :: reserved1 [23:22] */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_reserved1_MASK           0x00c00000
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_reserved1_SHIFT          22

/* DECODE_DBLK_0 :: REG_OLAP_XFORM :: Vintra [21:21] */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_Vintra_MASK              0x00200000
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_Vintra_SHIFT             21

/* DECODE_DBLK_0 :: REG_OLAP_XFORM :: Uintra [20:20] */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_Uintra_MASK              0x00100000
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_Uintra_SHIFT             20

/* DECODE_DBLK_0 :: REG_OLAP_XFORM :: LumaIntra [19:16] */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_LumaIntra_MASK           0x000f0000
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_LumaIntra_SHIFT          16

/* DECODE_DBLK_0 :: REG_OLAP_XFORM :: reserved2 [15:12] */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_reserved2_MASK           0x0000f000
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_reserved2_SHIFT          12

/* DECODE_DBLK_0 :: REG_OLAP_XFORM :: VV [11:11] */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_VV_MASK                  0x00000800
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_VV_SHIFT                 11

/* DECODE_DBLK_0 :: REG_OLAP_XFORM :: VH [10:10] */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_VH_MASK                  0x00000400
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_VH_SHIFT                 10

/* DECODE_DBLK_0 :: REG_OLAP_XFORM :: UV [09:09] */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_UV_MASK                  0x00000200
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_UV_SHIFT                 9

/* DECODE_DBLK_0 :: REG_OLAP_XFORM :: UH [08:08] */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_UH_MASK                  0x00000100
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_UH_SHIFT                 8

/* DECODE_DBLK_0 :: REG_OLAP_XFORM :: LumaVert [07:04] */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_LumaVert_MASK            0x000000f0
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_LumaVert_SHIFT           4

/* DECODE_DBLK_0 :: REG_OLAP_XFORM :: LumaHoriz [03:00] */
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_LumaHoriz_MASK           0x0000000f
#define BCHP_DECODE_DBLK_0_REG_OLAP_XFORM_LumaHoriz_SHIFT          0

/***************************************************************************
 *REG_DBLK_QNT - Deblocking Quantization Data
 ***************************************************************************/
/* DECODE_DBLK_0 :: REG_DBLK_QNT :: reserved0 [31:24] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_QNT_reserved0_MASK             0xff000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_QNT_reserved0_SHIFT            24

/* DECODE_DBLK_0 :: REG_DBLK_QNT :: OPvTopTop [23:16] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_QNT_OPvTopTop_MASK             0x00ff0000
#define BCHP_DECODE_DBLK_0_REG_DBLK_QNT_OPvTopTop_SHIFT            16

/* DECODE_DBLK_0 :: REG_DBLK_QNT :: OPvTop [15:08] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_QNT_OPvTop_MASK                0x0000ff00
#define BCHP_DECODE_DBLK_0_REG_DBLK_QNT_OPvTop_SHIFT               8

/* DECODE_DBLK_0 :: REG_DBLK_QNT :: Opv [07:00] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_QNT_Opv_MASK                   0x000000ff
#define BCHP_DECODE_DBLK_0_REG_DBLK_QNT_Opv_SHIFT                  0

/***************************************************************************
 *REG_DBLK_OFFSET - Deblocking filter offsets (H.264 only)
 ***************************************************************************/
/* DECODE_DBLK_0 :: REG_DBLK_OFFSET :: reserved0 [31:16] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_OFFSET_reserved0_MASK          0xffff0000
#define BCHP_DECODE_DBLK_0_REG_DBLK_OFFSET_reserved0_SHIFT         16

/* DECODE_DBLK_0 :: REG_DBLK_OFFSET :: OffsetB [15:08] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_OFFSET_OffsetB_MASK            0x0000ff00
#define BCHP_DECODE_DBLK_0_REG_DBLK_OFFSET_OffsetB_SHIFT           8

/* DECODE_DBLK_0 :: REG_DBLK_OFFSET :: OffsetA [07:00] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_OFFSET_OffsetA_MASK            0x000000ff
#define BCHP_DECODE_DBLK_0_REG_DBLK_OFFSET_OffsetA_SHIFT           0

/***************************************************************************
 *REG_DBLK_TOP_CTX - Deblocking Top Context
 ***************************************************************************/
/* union - case H264 [31:00] */
/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: H264 :: reserved0 [31:22] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_reserved0_MASK    0xffc00000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_reserved0_SHIFT   22

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: H264 :: TB15 [21:21] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_TB15_MASK         0x00200000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_TB15_SHIFT        21

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: H264 :: TB14 [20:20] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_TB14_MASK         0x00100000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_TB14_SHIFT        20

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: H264 :: TB11 [19:19] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_TB11_MASK         0x00080000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_TB11_SHIFT        19

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: H264 :: TB10 [18:18] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_TB10_MASK         0x00040000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_TB10_SHIFT        18

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: H264 :: reserved1 [17:17] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_reserved1_MASK    0x00020000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_reserved1_SHIFT   17

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: H264 :: Tintra [16:16] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_Tintra_MASK       0x00010000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_Tintra_SHIFT      16

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: H264 :: reserved2 [15:06] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_reserved2_MASK    0x0000ffc0
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_reserved2_SHIFT   6

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: H264 :: B15 [05:05] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_B15_MASK          0x00000020
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_B15_SHIFT         5

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: H264 :: B14 [04:04] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_B14_MASK          0x00000010
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_B14_SHIFT         4

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: H264 :: B11 [03:03] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_B11_MASK          0x00000008
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_B11_SHIFT         3

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: H264 :: B10 [02:02] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_B10_MASK          0x00000004
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_B10_SHIFT         2

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: H264 :: Field [01:01] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_Field_MASK        0x00000002
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_Field_SHIFT       1

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: H264 :: Intra [00:00] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_Intra_MASK        0x00000001
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_H264_Intra_SHIFT       0

/* union - case VC1_0 [31:00] */
/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: VV3 [31:31] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_VV3_MASK         0x80000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_VV3_SHIFT        31

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: VV2 [30:30] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_VV2_MASK         0x40000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_VV2_SHIFT        30

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: VV1 [29:29] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_VV1_MASK         0x20000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_VV1_SHIFT        29

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: VV0 [28:28] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_VV0_MASK         0x10000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_VV0_SHIFT        28

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: UV3 [27:27] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_UV3_MASK         0x08000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_UV3_SHIFT        27

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: UV2 [26:26] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_UV2_MASK         0x04000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_UV2_SHIFT        26

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: UV1 [25:25] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_UV1_MASK         0x02000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_UV1_SHIFT        25

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: UV0 [24:24] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_UV0_MASK         0x01000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_UV0_SHIFT        24

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: YV15 [23:23] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV15_MASK        0x00800000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV15_SHIFT       23

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: YV14 [22:22] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV14_MASK        0x00400000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV14_SHIFT       22

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: YV11 [21:21] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV11_MASK        0x00200000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV11_SHIFT       21

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: YV10 [20:20] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV10_MASK        0x00100000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV10_SHIFT       20

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: YV7 [19:19] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV7_MASK         0x00080000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV7_SHIFT        19

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: YV6 [18:18] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV6_MASK         0x00040000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV6_SHIFT        18

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: YV3 [17:17] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV3_MASK         0x00020000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV3_SHIFT        17

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: YV2 [16:16] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV2_MASK         0x00010000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YV2_SHIFT        16

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: VH3 [15:15] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_VH3_MASK         0x00008000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_VH3_SHIFT        15

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: VH2 [14:14] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_VH2_MASK         0x00004000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_VH2_SHIFT        14

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: reserved0 [13:12] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_reserved0_MASK   0x00003000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_reserved0_SHIFT  12

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: UH3 [11:11] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_UH3_MASK         0x00000800
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_UH3_SHIFT        11

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: UH2 [10:10] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_UH2_MASK         0x00000400
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_UH2_SHIFT        10

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: reserved1 [09:08] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_reserved1_MASK   0x00000300
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_reserved1_SHIFT  8

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: YH15 [07:07] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YH15_MASK        0x00000080
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YH15_SHIFT       7

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: YH14 [06:06] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YH14_MASK        0x00000040
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YH14_SHIFT       6

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: YH13 [05:05] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YH13_MASK        0x00000020
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YH13_SHIFT       5

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: YH12 [04:04] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YH12_MASK        0x00000010
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_YH12_SHIFT       4

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: reserved2 [03:01] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_reserved2_MASK   0x0000000e
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_reserved2_SHIFT  1

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_0 :: TFld [00:00] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_TFld_MASK        0x00000001
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_0_TFld_SHIFT       0

/* union - case VC1_1 [31:00] */
/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: VV3 [31:31] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_VV3_MASK         0x80000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_VV3_SHIFT        31

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: VV2 [30:30] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_VV2_MASK         0x40000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_VV2_SHIFT        30

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: VV1 [29:29] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_VV1_MASK         0x20000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_VV1_SHIFT        29

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: VV0 [28:28] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_VV0_MASK         0x10000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_VV0_SHIFT        28

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: UV3 [27:27] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_UV3_MASK         0x08000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_UV3_SHIFT        27

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: UV2 [26:26] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_UV2_MASK         0x04000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_UV2_SHIFT        26

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: UV1 [25:25] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_UV1_MASK         0x02000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_UV1_SHIFT        25

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: UV0 [24:24] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_UV0_MASK         0x01000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_UV0_SHIFT        24

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: YV13 [23:23] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV13_MASK        0x00800000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV13_SHIFT       23

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: YV12 [22:22] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV12_MASK        0x00400000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV12_SHIFT       22

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: YV9 [21:21] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV9_MASK         0x00200000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV9_SHIFT        21

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: YV8 [20:20] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV8_MASK         0x00100000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV8_SHIFT        20

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: YV5 [19:19] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV5_MASK         0x00080000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV5_SHIFT        19

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: YV4 [18:18] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV4_MASK         0x00040000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV4_SHIFT        18

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: YV1 [17:17] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV1_MASK         0x00020000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV1_SHIFT        17

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: YV0 [16:16] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV0_MASK         0x00010000
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_YV0_SHIFT        16

/* DECODE_DBLK_0 :: REG_DBLK_TOP_CTX :: VC1_1 :: reserved0 [15:00] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_reserved0_MASK   0x0000ffff
#define BCHP_DECODE_DBLK_0_REG_DBLK_TOP_CTX_VC1_1_reserved0_SHIFT  0

/***************************************************************************
 *REG_DBLK_XZERO - Deblocking: Transform has non-zero coefs
 ***************************************************************************/
/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: reserved0 [31:16] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_reserved0_MASK           0xffff0000
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_reserved0_SHIFT          16

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B15 [15:15] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B15_MASK                 0x00008000
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B15_SHIFT                15

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B14 [14:14] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B14_MASK                 0x00004000
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B14_SHIFT                14

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B13 [13:13] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B13_MASK                 0x00002000
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B13_SHIFT                13

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B12 [12:12] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B12_MASK                 0x00001000
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B12_SHIFT                12

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B11 [11:11] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B11_MASK                 0x00000800
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B11_SHIFT                11

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B10 [10:10] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B10_MASK                 0x00000400
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B10_SHIFT                10

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B9 [09:09] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B9_MASK                  0x00000200
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B9_SHIFT                 9

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B8 [08:08] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B8_MASK                  0x00000100
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B8_SHIFT                 8

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B7 [07:07] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B7_MASK                  0x00000080
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B7_SHIFT                 7

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B6 [06:06] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B6_MASK                  0x00000040
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B6_SHIFT                 6

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B5 [05:05] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B5_MASK                  0x00000020
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B5_SHIFT                 5

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B4 [04:04] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B4_MASK                  0x00000010
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B4_SHIFT                 4

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B3 [03:03] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B3_MASK                  0x00000008
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B3_SHIFT                 3

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B2 [02:02] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B2_MASK                  0x00000004
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B2_SHIFT                 2

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B1 [01:01] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B1_MASK                  0x00000002
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B1_SHIFT                 1

/* DECODE_DBLK_0 :: REG_DBLK_XZERO :: B0 [00:00] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B0_MASK                  0x00000001
#define BCHP_DECODE_DBLK_0_REG_DBLK_XZERO_B0_SHIFT                 0

/***************************************************************************
 *REG_DBLK_MVDIFF - Deblocking Motion Vector Difference
 ***************************************************************************/
/* union - case H264 [31:00] */
/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V15 [31:31] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V15_MASK           0x80000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V15_SHIFT          31

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V14 [30:30] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V14_MASK           0x40000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V14_SHIFT          30

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V13 [29:29] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V13_MASK           0x20000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V13_SHIFT          29

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V12 [28:28] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V12_MASK           0x10000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V12_SHIFT          28

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V11 [27:27] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V11_MASK           0x08000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V11_SHIFT          27

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V10 [26:26] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V10_MASK           0x04000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V10_SHIFT          26

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V9 [25:25] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V9_MASK            0x02000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V9_SHIFT           25

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V8 [24:24] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V8_MASK            0x01000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V8_SHIFT           24

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V7 [23:23] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V7_MASK            0x00800000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V7_SHIFT           23

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V6 [22:22] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V6_MASK            0x00400000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V6_SHIFT           22

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V5 [21:21] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V5_MASK            0x00200000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V5_SHIFT           21

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V4 [20:20] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V4_MASK            0x00100000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V4_SHIFT           20

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V3 [19:19] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V3_MASK            0x00080000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V3_SHIFT           19

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V2 [18:18] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V2_MASK            0x00040000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V2_SHIFT           18

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V1 [17:17] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V1_MASK            0x00020000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V1_SHIFT           17

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: V0 [16:16] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V0_MASK            0x00010000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_V0_SHIFT           16

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H15 [15:15] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H15_MASK           0x00008000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H15_SHIFT          15

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H14 [14:14] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H14_MASK           0x00004000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H14_SHIFT          14

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H13 [13:13] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H13_MASK           0x00002000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H13_SHIFT          13

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H12 [12:12] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H12_MASK           0x00001000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H12_SHIFT          12

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H11 [11:11] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H11_MASK           0x00000800
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H11_SHIFT          11

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H10 [10:10] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H10_MASK           0x00000400
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H10_SHIFT          10

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H9 [09:09] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H9_MASK            0x00000200
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H9_SHIFT           9

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H8 [08:08] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H8_MASK            0x00000100
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H8_SHIFT           8

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H7 [07:07] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H7_MASK            0x00000080
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H7_SHIFT           7

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H6 [06:06] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H6_MASK            0x00000040
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H6_SHIFT           6

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H5 [05:05] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H5_MASK            0x00000020
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H5_SHIFT           5

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H4 [04:04] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H4_MASK            0x00000010
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H4_SHIFT           4

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H3 [03:03] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H3_MASK            0x00000008
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H3_SHIFT           3

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H2 [02:02] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H2_MASK            0x00000004
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H2_SHIFT           2

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H1 [01:01] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H1_MASK            0x00000002
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H1_SHIFT           1

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: H264 :: H0 [00:00] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H0_MASK            0x00000001
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_H264_H0_SHIFT           0

/* union - case VC1_0 [31:00] */
/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V15 [31:31] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V15_MASK          0x80000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V15_SHIFT         31

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V14 [30:30] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V14_MASK          0x40000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V14_SHIFT         30

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V13 [29:29] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V13_MASK          0x20000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V13_SHIFT         29

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V12 [28:28] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V12_MASK          0x10000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V12_SHIFT         28

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V11 [27:27] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V11_MASK          0x08000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V11_SHIFT         27

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V10 [26:26] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V10_MASK          0x04000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V10_SHIFT         26

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V9 [25:25] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V9_MASK           0x02000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V9_SHIFT          25

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V8 [24:24] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V8_MASK           0x01000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V8_SHIFT          24

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V7 [23:23] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V7_MASK           0x00800000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V7_SHIFT          23

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V6 [22:22] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V6_MASK           0x00400000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V6_SHIFT          22

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V5 [21:21] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V5_MASK           0x00200000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V5_SHIFT          21

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V4 [20:20] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V4_MASK           0x00100000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V4_SHIFT          20

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V3 [19:19] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V3_MASK           0x00080000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V3_SHIFT          19

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V2 [18:18] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V2_MASK           0x00040000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V2_SHIFT          18

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V1 [17:17] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V1_MASK           0x00020000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V1_SHIFT          17

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: V0 [16:16] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V0_MASK           0x00010000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_V0_SHIFT          16

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H15 [15:15] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H15_MASK          0x00008000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H15_SHIFT         15

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H14 [14:14] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H14_MASK          0x00004000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H14_SHIFT         14

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H13 [13:13] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H13_MASK          0x00002000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H13_SHIFT         13

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H12 [12:12] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H12_MASK          0x00001000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H12_SHIFT         12

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H11 [11:11] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H11_MASK          0x00000800
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H11_SHIFT         11

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H10 [10:10] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H10_MASK          0x00000400
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H10_SHIFT         10

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H9 [09:09] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H9_MASK           0x00000200
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H9_SHIFT          9

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H8 [08:08] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H8_MASK           0x00000100
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H8_SHIFT          8

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H7 [07:07] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H7_MASK           0x00000080
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H7_SHIFT          7

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H6 [06:06] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H6_MASK           0x00000040
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H6_SHIFT          6

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H5 [05:05] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H5_MASK           0x00000020
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H5_SHIFT          5

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H4 [04:04] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H4_MASK           0x00000010
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H4_SHIFT          4

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H3 [03:03] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H3_MASK           0x00000008
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H3_SHIFT          3

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H2 [02:02] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H2_MASK           0x00000004
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H2_SHIFT          2

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H1 [01:01] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H1_MASK           0x00000002
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H1_SHIFT          1

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_0 :: H0 [00:00] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H0_MASK           0x00000001
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_0_H0_SHIFT          0

/* union - case VC1_1 [31:00] */
/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: reserved0 [31:28] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_reserved0_MASK    0xf0000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_reserved0_SHIFT   28

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: VV3 [27:27] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VV3_MASK          0x08000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VV3_SHIFT         27

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: VV2 [26:26] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VV2_MASK          0x04000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VV2_SHIFT         26

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: VV1 [25:25] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VV1_MASK          0x02000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VV1_SHIFT         25

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: VV0 [24:24] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VV0_MASK          0x01000000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VV0_SHIFT         24

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: reserved1 [23:20] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_reserved1_MASK    0x00f00000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_reserved1_SHIFT   20

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: UV3 [19:19] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UV3_MASK          0x00080000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UV3_SHIFT         19

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: UV2 [18:18] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UV2_MASK          0x00040000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UV2_SHIFT         18

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: UV1 [17:17] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UV1_MASK          0x00020000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UV1_SHIFT         17

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: UV0 [16:16] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UV0_MASK          0x00010000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UV0_SHIFT         16

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: reserved2 [15:12] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_reserved2_MASK    0x0000f000
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_reserved2_SHIFT   12

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: VH3 [11:11] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VH3_MASK          0x00000800
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VH3_SHIFT         11

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: VH2 [10:10] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VH2_MASK          0x00000400
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VH2_SHIFT         10

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: VH1 [09:09] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VH1_MASK          0x00000200
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VH1_SHIFT         9

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: VH0 [08:08] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VH0_MASK          0x00000100
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_VH0_SHIFT         8

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: reserved3 [07:04] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_reserved3_MASK    0x000000f0
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_reserved3_SHIFT   4

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: UH3 [03:03] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UH3_MASK          0x00000008
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UH3_SHIFT         3

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: UH2 [02:02] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UH2_MASK          0x00000004
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UH2_SHIFT         2

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: UH1 [01:01] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UH1_MASK          0x00000002
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UH1_SHIFT         1

/* DECODE_DBLK_0 :: REG_DBLK_MVDIFF :: VC1_1 :: UH0 [00:00] */
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UH0_MASK          0x00000001
#define BCHP_DECODE_DBLK_0_REG_DBLK_MVDIFF_VC1_1_UH0_SHIFT         0

#endif /* #ifndef BCHP_DECODE_DBLK_0_H__ */

/* End of File */
