/***************************************************************************
 *     Copyright (c) 1999-2009, Broadcom Corporation
 *
 **********************************************************************
 * This file is part of the crystalhd device driver.
 *
 * This driver is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This driver is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this driver.  If not, see <http://www.gnu.org/licenses/>.
 **********************************************************************
 *
 * $brcm_Workfile: bchp_decode_spre_0.h $
 * $brcm_Revision: Hydra_Software_Devel/1 $
 * $brcm_Date: 7/17/09 8:06p $
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Fri Jul 17 19:42:47 2009
 *                 MD5 Checksum         2914699efc3fb3edefca5cb4f4f38b34
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.008008
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/70015/rdb/a0/bchp_decode_spre_0.h $
 * 
 * Hydra_Software_Devel/1   7/17/09 8:06p albertl
 * PR56880: Initial revision.
 *
 ***************************************************************************/

#ifndef BCHP_DECODE_SPRE_0_H__
#define BCHP_DECODE_SPRE_0_H__

/***************************************************************************
 *DECODE_SPRE_0
 ***************************************************************************/
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL          0x00800320 /* Spatial Prediction Control */
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE         0x00800324 /* Spatial Prediction Luma Mode */
#define BCHP_DECODE_SPRE_0_REG_SPRE_END          0x0080033c /* REG_SPRE_END */

/***************************************************************************
 *REG_SPRE_CTL - Spatial Prediction Control
 ***************************************************************************/
/* DECODE_SPRE_0 :: REG_SPRE_CTL :: reserved0 [31:18] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_reserved0_MASK             0xfffc0000
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_reserved0_SHIFT            18

/* DECODE_SPRE_0 :: REG_SPRE_CTL :: CluMode [17:16] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_CluMode_MASK               0x00030000
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_CluMode_SHIFT              16

/* DECODE_SPRE_0 :: REG_SPRE_CTL :: reserved1 [15:10] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_reserved1_MASK             0x0000fc00
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_reserved1_SHIFT            10

/* DECODE_SPRE_0 :: REG_SPRE_CTL :: PredType [09:08] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_PredType_MASK              0x00000300
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_PredType_SHIFT             8

/* DECODE_SPRE_0 :: REG_SPRE_CTL :: reserved2 [07:05] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_reserved2_MASK             0x000000e0
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_reserved2_SHIFT            5

/* DECODE_SPRE_0 :: REG_SPRE_CTL :: CNST_INTRA [04:04] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_CNST_INTRA_MASK            0x00000010
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_CNST_INTRA_SHIFT           4

/* DECODE_SPRE_0 :: REG_SPRE_CTL :: Ulft [03:03] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_Ulft_MASK                  0x00000008
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_Ulft_SHIFT                 3

/* DECODE_SPRE_0 :: REG_SPRE_CTL :: Top [02:02] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_Top_MASK                   0x00000004
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_Top_SHIFT                  2

/* DECODE_SPRE_0 :: REG_SPRE_CTL :: Left [01:01] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_Left_MASK                  0x00000002
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_Left_SHIFT                 1

/* DECODE_SPRE_0 :: REG_SPRE_CTL :: Urt [00:00] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_Urt_MASK                   0x00000001
#define BCHP_DECODE_SPRE_0_REG_SPRE_CTL_Urt_SHIFT                  0

/***************************************************************************
 *REG_SPRE_MODE - Spatial Prediction Luma Mode
 ***************************************************************************/
/* DECODE_SPRE_0 :: REG_SPRE_MODE :: Mode7 [31:28] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode7_MASK                0xf0000000
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode7_SHIFT               28

/* DECODE_SPRE_0 :: REG_SPRE_MODE :: Mode6 [27:24] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode6_MASK                0x0f000000
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode6_SHIFT               24

/* DECODE_SPRE_0 :: REG_SPRE_MODE :: Mode5 [23:20] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode5_MASK                0x00f00000
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode5_SHIFT               20

/* DECODE_SPRE_0 :: REG_SPRE_MODE :: Mode4 [19:16] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode4_MASK                0x000f0000
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode4_SHIFT               16

/* DECODE_SPRE_0 :: REG_SPRE_MODE :: Mode3 [15:12] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode3_MASK                0x0000f000
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode3_SHIFT               12

/* DECODE_SPRE_0 :: REG_SPRE_MODE :: Mode2 [11:08] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode2_MASK                0x00000f00
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode2_SHIFT               8

/* DECODE_SPRE_0 :: REG_SPRE_MODE :: Mode1 [07:04] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode1_MASK                0x000000f0
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode1_SHIFT               4

/* DECODE_SPRE_0 :: REG_SPRE_MODE :: Mode0 [03:00] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode0_MASK                0x0000000f
#define BCHP_DECODE_SPRE_0_REG_SPRE_MODE_Mode0_SHIFT               0

/***************************************************************************
 *REG_SPRE_END - REG_SPRE_END
 ***************************************************************************/
/* DECODE_SPRE_0 :: REG_SPRE_END :: reserved0 [31:00] */
#define BCHP_DECODE_SPRE_0_REG_SPRE_END_reserved0_MASK             0xffffffff
#define BCHP_DECODE_SPRE_0_REG_SPRE_END_reserved0_SHIFT            0

#endif /* #ifndef BCHP_DECODE_SPRE_0_H__ */

/* End of File */
