/***************************************************************************
 *     Copyright (c) 1999-2009, Broadcom Corporation
 *
 **********************************************************************
 * This file is part of the crystalhd device driver.
 *
 * This driver is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This driver is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this driver.  If not, see <http://www.gnu.org/licenses/>.
 **********************************************************************
 *
 * $brcm_Workfile: bchp_pri_arb_starch_regs.h $
 * $brcm_Revision: Hydra_Software_Devel/1 $
 * $brcm_Date: 7/17/09 8:15p $
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Fri Jul 17 19:43:16 2009
 *                 MD5 Checksum         2914699efc3fb3edefca5cb4f4f38b34
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.008008
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/70015/rdb/a0/bchp_pri_arb_starch_regs.h $
 * 
 * Hydra_Software_Devel/1   7/17/09 8:15p albertl
 * PR56880: Initial revision.
 *
 ***************************************************************************/

#ifndef BCHP_PRI_ARB_STARCH_REGS_H__
#define BCHP_PRI_ARB_STARCH_REGS_H__

/***************************************************************************
 *PRI_ARB_STARCH_REGS - PRIMARY_ARB secure static address range checker registers
 ***************************************************************************/
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG       0x00461200 /* Address Range Checker control register */
#define BCHP_PRI_ARB_STARCH_REGS_ADRS_RANGE_LOW  0x00461220 /* Address Range Checker memory range lower address register */
#define BCHP_PRI_ARB_STARCH_REGS_ADRS_RANGE_HIGH 0x00461240 /* Address Range Checker memory range upper address register */
#define BCHP_PRI_ARB_STARCH_REGS_READ_RIGHTS_0_  0x00461260 /* Address Range Checker read access rights for clients #0 through #19. */
#define BCHP_PRI_ARB_STARCH_REGS_WRITE_RIGHTS_0_ 0x004612c0 /* Address Range Checker write access rights for clients #0 through #19. */
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_ADDR       0x00461340 /* Address Range Checker violating command address. */
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_INFO       0x00461360 /* Address Range Checker violating command information. */
#define BCHP_PRI_ARB_STARCH_REGS_STATUS_CLEAR    0x00461380 /* Address Range Checker violating command status release. */
#define BCHP_PRI_ARB_STARCH_REGS_MEMORY_SIZE     0x004613c0 /* Memory Size register */

/***************************************************************************
 *CNTRL_REG - Address Range Checker control register
 ***************************************************************************/
/* PRI_ARB_STARCH_REGS :: CNTRL_REG :: reserved0 [31:06] */
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_reserved0_MASK          0xffffffc0
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_reserved0_SHIFT         6

/* PRI_ARB_STARCH_REGS :: CNTRL_REG :: READ_ABORT [05:05] */
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_READ_ABORT_MASK         0x00000020
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_READ_ABORT_SHIFT        5
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_READ_ABORT_DISABLED     0
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_READ_ABORT_ENABLED      1

/* PRI_ARB_STARCH_REGS :: CNTRL_REG :: WRITE_ABORT [04:04] */
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_WRITE_ABORT_MASK        0x00000010
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_WRITE_ABORT_SHIFT       4
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_WRITE_ABORT_DISABLED    0
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_WRITE_ABORT_ENABLED     1

/* PRI_ARB_STARCH_REGS :: CNTRL_REG :: WRITE_CHECK [03:03] */
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_WRITE_CHECK_MASK        0x00000008
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_WRITE_CHECK_SHIFT       3
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_WRITE_CHECK_DISABLED    0
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_WRITE_CHECK_ENABLED     1

/* PRI_ARB_STARCH_REGS :: CNTRL_REG :: READ_CHECK [02:02] */
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_READ_CHECK_MASK         0x00000004
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_READ_CHECK_SHIFT        2
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_READ_CHECK_DISABLED     0
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_READ_CHECK_ENABLED      1

/* PRI_ARB_STARCH_REGS :: CNTRL_REG :: MODE [01:00] */
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_MODE_MASK               0x00000003
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_MODE_SHIFT              0
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_MODE_NON_EXCLUSIVE      0
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_MODE_EXCLUSIVE          1
#define BCHP_PRI_ARB_STARCH_REGS_CNTRL_REG_MODE_ULTRA_EXCLUSIVE    2

/***************************************************************************
 *ADRS_RANGE_LOW - Address Range Checker memory range lower address register
 ***************************************************************************/
/* PRI_ARB_STARCH_REGS :: ADRS_RANGE_LOW :: ADDRESS [31:00] */
#define BCHP_PRI_ARB_STARCH_REGS_ADRS_RANGE_LOW_ADDRESS_MASK       0xffffffff
#define BCHP_PRI_ARB_STARCH_REGS_ADRS_RANGE_LOW_ADDRESS_SHIFT      0

/***************************************************************************
 *ADRS_RANGE_HIGH - Address Range Checker memory range upper address register
 ***************************************************************************/
/* PRI_ARB_STARCH_REGS :: ADRS_RANGE_HIGH :: ADDRESS [31:00] */
#define BCHP_PRI_ARB_STARCH_REGS_ADRS_RANGE_HIGH_ADDRESS_MASK      0xffffffff
#define BCHP_PRI_ARB_STARCH_REGS_ADRS_RANGE_HIGH_ADDRESS_SHIFT     0

/***************************************************************************
 *READ_RIGHTS_0_ - Address Range Checker read access rights for clients #0 through #19.
 ***************************************************************************/
/* PRI_ARB_STARCH_REGS :: READ_RIGHTS_0_ :: ACCESS_RIGHT [31:00] */
#define BCHP_PRI_ARB_STARCH_REGS_READ_RIGHTS_0__ACCESS_RIGHT_MASK  0xffffffff
#define BCHP_PRI_ARB_STARCH_REGS_READ_RIGHTS_0__ACCESS_RIGHT_SHIFT 0

/***************************************************************************
 *WRITE_RIGHTS_0_ - Address Range Checker write access rights for clients #0 through #19.
 ***************************************************************************/
/* PRI_ARB_STARCH_REGS :: WRITE_RIGHTS_0_ :: ACCESS_RIGHT [31:00] */
#define BCHP_PRI_ARB_STARCH_REGS_WRITE_RIGHTS_0__ACCESS_RIGHT_MASK 0xffffffff
#define BCHP_PRI_ARB_STARCH_REGS_WRITE_RIGHTS_0__ACCESS_RIGHT_SHIFT 0

/***************************************************************************
 *VIOL_ADDR - Address Range Checker violating command address.
 ***************************************************************************/
/* PRI_ARB_STARCH_REGS :: VIOL_ADDR :: ADDRESS [31:00] */
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_ADDR_ADDRESS_MASK            0xffffffff
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_ADDR_ADDRESS_SHIFT           0

/***************************************************************************
 *VIOL_INFO - Address Range Checker violating command information.
 ***************************************************************************/
/* PRI_ARB_STARCH_REGS :: VIOL_INFO :: CLIENTID [31:24] */
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_INFO_CLIENTID_MASK           0xff000000
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_INFO_CLIENTID_SHIFT          24

/* PRI_ARB_STARCH_REGS :: VIOL_INFO :: reserved0 [23:22] */
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_INFO_reserved0_MASK          0x00c00000
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_INFO_reserved0_SHIFT         22

/* PRI_ARB_STARCH_REGS :: VIOL_INFO :: LENGTH [21:12] */
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_INFO_LENGTH_MASK             0x003ff000
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_INFO_LENGTH_SHIFT            12

/* PRI_ARB_STARCH_REGS :: VIOL_INFO :: MODE [11:09] */
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_INFO_MODE_MASK               0x00000e00
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_INFO_MODE_SHIFT              9

/* PRI_ARB_STARCH_REGS :: VIOL_INFO :: WRITE [08:08] */
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_INFO_WRITE_MASK              0x00000100
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_INFO_WRITE_SHIFT             8

/* PRI_ARB_STARCH_REGS :: VIOL_INFO :: reserved1 [07:01] */
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_INFO_reserved1_MASK          0x000000fe
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_INFO_reserved1_SHIFT         1

/* PRI_ARB_STARCH_REGS :: VIOL_INFO :: STATUS [00:00] */
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_INFO_STATUS_MASK             0x00000001
#define BCHP_PRI_ARB_STARCH_REGS_VIOL_INFO_STATUS_SHIFT            0

/***************************************************************************
 *STATUS_CLEAR - Address Range Checker violating command status release.
 ***************************************************************************/
/* PRI_ARB_STARCH_REGS :: STATUS_CLEAR :: reserved0 [31:01] */
#define BCHP_PRI_ARB_STARCH_REGS_STATUS_CLEAR_reserved0_MASK       0xfffffffe
#define BCHP_PRI_ARB_STARCH_REGS_STATUS_CLEAR_reserved0_SHIFT      1

/* PRI_ARB_STARCH_REGS :: STATUS_CLEAR :: CLEAR [00:00] */
#define BCHP_PRI_ARB_STARCH_REGS_STATUS_CLEAR_CLEAR_MASK           0x00000001
#define BCHP_PRI_ARB_STARCH_REGS_STATUS_CLEAR_CLEAR_SHIFT          0

/***************************************************************************
 *MEMORY_SIZE - Memory Size register
 ***************************************************************************/
/* PRI_ARB_STARCH_REGS :: MEMORY_SIZE :: reserved0 [31:02] */
#define BCHP_PRI_ARB_STARCH_REGS_MEMORY_SIZE_reserved0_MASK        0xfffffffc
#define BCHP_PRI_ARB_STARCH_REGS_MEMORY_SIZE_reserved0_SHIFT       2

/* PRI_ARB_STARCH_REGS :: MEMORY_SIZE :: DDR_SIZE [01:00] */
#define BCHP_PRI_ARB_STARCH_REGS_MEMORY_SIZE_DDR_SIZE_MASK         0x00000003
#define BCHP_PRI_ARB_STARCH_REGS_MEMORY_SIZE_DDR_SIZE_SHIFT        0
#define BCHP_PRI_ARB_STARCH_REGS_MEMORY_SIZE_DDR_SIZE_SIZE_64_MB   0
#define BCHP_PRI_ARB_STARCH_REGS_MEMORY_SIZE_DDR_SIZE_SIZE_128_MB  1
#define BCHP_PRI_ARB_STARCH_REGS_MEMORY_SIZE_DDR_SIZE_SIZE_256_MB  2
#define BCHP_PRI_ARB_STARCH_REGS_MEMORY_SIZE_DDR_SIZE_SIZE_512_MB  3

#endif /* #ifndef BCHP_PRI_ARB_STARCH_REGS_H__ */

/* End of File */
