/***************************************************************************
 *     Copyright (c) 1999-2009, Broadcom Corporation
 *
 **********************************************************************
 * This file is part of the crystalhd device driver.
 *
 * This driver is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This driver is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this driver.  If not, see <http://www.gnu.org/licenses/>.
 **********************************************************************
 *
 * $brcm_Workfile: bchp_xpt_pb0.h $
 * $brcm_Revision: Hydra_Software_Devel/1 $
 * $brcm_Date: 7/17/09 8:24p $
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Fri Jul 17 19:42:42 2009
 *                 MD5 Checksum         2914699efc3fb3edefca5cb4f4f38b34
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.008008
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/70015/rdb/a0/bchp_xpt_pb0.h $
 * 
 * Hydra_Software_Devel/1   7/17/09 8:24p albertl
 * PR56880: Initial revision.
 *
 ***************************************************************************/

#ifndef BCHP_XPT_PB0_H__
#define BCHP_XPT_PB0_H__

/***************************************************************************
 *XPT_PB0 - Playback 0 Control Registers
 ***************************************************************************/
#define BCHP_XPT_PB0_CTRL1                       0x0020b000 /* Playback Control 1 Register */
#define BCHP_XPT_PB0_CTRL2                       0x0020b004 /* Playback Control 2 Register */
#define BCHP_XPT_PB0_CTRL3                       0x0020b008 /* Playback Control 3 Register */
#define BCHP_XPT_PB0_CTRL4                       0x0020b00c /* Playback Control 4 Register */
#define BCHP_XPT_PB0_FIRST_DESC_ADDR             0x0020b010 /* Playback First Descriptor Address Register */
#define BCHP_XPT_PB0_CURR_DESC_ADDR              0x0020b014 /* Playback Current Descriptor Address Register */
#define BCHP_XPT_PB0_CURR_BUFF_ADDR              0x0020b018 /* Playback Current Buffer Address Register */
#define BCHP_XPT_PB0_BLOCKOUT                    0x0020b01c /* Data Transport Playback Block Out Control */
#define BCHP_XPT_PB0_PKTZ_CONTEXT0               0x0020b020 /* Data Transport Playback Packetize Mode Context 0 Control */
#define BCHP_XPT_PB0_PKTZ_CONTEXT1               0x0020b024 /* Data Transport Playback Packetize Mode Context 1 Control */
#define BCHP_XPT_PB0_PKTZ_CONTEXT2               0x0020b028 /* Data Transport Playback Packetize Mode Context 2 Control */
#define BCHP_XPT_PB0_PKTZ_CONTEXT3               0x0020b02c /* Data Transport Playback Packetize Mode Context 3 Control */
#define BCHP_XPT_PB0_TS_ERR_BOUND                0x0020b030 /* Data Transport Playback Timestamp Error Bound Register */
#define BCHP_XPT_PB0_PARSER_CTRL1                0x0020b034 /* Data Transport Playback Parser Control Register */
#define BCHP_XPT_PB0_PARSER_CTRL2                0x0020b038 /* Data Transport Playback Parser Control Register 2 */
#define BCHP_XPT_PB0_PARSER_TIMESTAMP            0x0020b03c /* Data Transport Playback Parser Local Timestamp */
#define BCHP_XPT_PB0_INTR                        0x0020b040 /* Playback Processing Error and Status Interrupt Register */
#define BCHP_XPT_PB0_INTR_EN                     0x0020b044 /* Playback Processing Error and Status Interrupt Enable Register */
#define BCHP_XPT_PB0_INTR_TAGS                   0x0020b048 /* Playback Interrupt Tag Register */

/***************************************************************************
 *CTRL1 - Playback Control 1 Register
 ***************************************************************************/
/* XPT_PB0 :: CTRL1 :: reserved0 [31:06] */
#define BCHP_XPT_PB0_CTRL1_reserved0_MASK                          0xffffffc0
#define BCHP_XPT_PB0_CTRL1_reserved0_SHIFT                         6

/* XPT_PB0 :: CTRL1 :: WAKE_MODE [05:05] */
#define BCHP_XPT_PB0_CTRL1_WAKE_MODE_MASK                          0x00000020
#define BCHP_XPT_PB0_CTRL1_WAKE_MODE_SHIFT                         5

/* XPT_PB0 :: CTRL1 :: OUT_OF_SYNC_STATUS [04:04] */
#define BCHP_XPT_PB0_CTRL1_OUT_OF_SYNC_STATUS_MASK                 0x00000010
#define BCHP_XPT_PB0_CTRL1_OUT_OF_SYNC_STATUS_SHIFT                4

/* XPT_PB0 :: CTRL1 :: FINISHED [03:03] */
#define BCHP_XPT_PB0_CTRL1_FINISHED_MASK                           0x00000008
#define BCHP_XPT_PB0_CTRL1_FINISHED_SHIFT                          3

/* XPT_PB0 :: CTRL1 :: BUSY [02:02] */
#define BCHP_XPT_PB0_CTRL1_BUSY_MASK                               0x00000004
#define BCHP_XPT_PB0_CTRL1_BUSY_SHIFT                              2

/* XPT_PB0 :: CTRL1 :: RUN [01:01] */
#define BCHP_XPT_PB0_CTRL1_RUN_MASK                                0x00000002
#define BCHP_XPT_PB0_CTRL1_RUN_SHIFT                               1

/* XPT_PB0 :: CTRL1 :: WAKE [00:00] */
#define BCHP_XPT_PB0_CTRL1_WAKE_MASK                               0x00000001
#define BCHP_XPT_PB0_CTRL1_WAKE_SHIFT                              0

/***************************************************************************
 *CTRL2 - Playback Control 2 Register
 ***************************************************************************/
/* XPT_PB0 :: CTRL2 :: reserved0 [31:25] */
#define BCHP_XPT_PB0_CTRL2_reserved0_MASK                          0xfe000000
#define BCHP_XPT_PB0_CTRL2_reserved0_SHIFT                         25

/* XPT_PB0 :: CTRL2 :: REARM_TS_COUNTER [24:24] */
#define BCHP_XPT_PB0_CTRL2_REARM_TS_COUNTER_MASK                   0x01000000
#define BCHP_XPT_PB0_CTRL2_REARM_TS_COUNTER_SHIFT                  24

/* XPT_PB0 :: CTRL2 :: TIMESTAMP_MODE_32BIT [23:23] */
#define BCHP_XPT_PB0_CTRL2_TIMESTAMP_MODE_32BIT_MASK               0x00800000
#define BCHP_XPT_PB0_CTRL2_TIMESTAMP_MODE_32BIT_SHIFT              23

/* XPT_PB0 :: CTRL2 :: PROGRAM_STREAM_MODE [22:22] */
#define BCHP_XPT_PB0_CTRL2_PROGRAM_STREAM_MODE_MASK                0x00400000
#define BCHP_XPT_PB0_CTRL2_PROGRAM_STREAM_MODE_SHIFT               22

/* XPT_PB0 :: CTRL2 :: TS_PARITY_CHECK_DIS [21:21] */
#define BCHP_XPT_PB0_CTRL2_TS_PARITY_CHECK_DIS_MASK                0x00200000
#define BCHP_XPT_PB0_CTRL2_TS_PARITY_CHECK_DIS_SHIFT               21

/* XPT_PB0 :: CTRL2 :: TIMESTAMP_EN [20:20] */
#define BCHP_XPT_PB0_CTRL2_TIMESTAMP_EN_MASK                       0x00100000
#define BCHP_XPT_PB0_CTRL2_TIMESTAMP_EN_SHIFT                      20

/* XPT_PB0 :: CTRL2 :: SYNC_EXT_MODE [19:17] */
#define BCHP_XPT_PB0_CTRL2_SYNC_EXT_MODE_MASK                      0x000e0000
#define BCHP_XPT_PB0_CTRL2_SYNC_EXT_MODE_SHIFT                     17

/* XPT_PB0 :: CTRL2 :: reserved1 [16:09] */
#define BCHP_XPT_PB0_CTRL2_reserved1_MASK                          0x0001fe00
#define BCHP_XPT_PB0_CTRL2_reserved1_SHIFT                         9

/* XPT_PB0 :: CTRL2 :: MICRO_PAUSE [08:08] */
#define BCHP_XPT_PB0_CTRL2_MICRO_PAUSE_MASK                        0x00000100
#define BCHP_XPT_PB0_CTRL2_MICRO_PAUSE_SHIFT                       8

/* XPT_PB0 :: CTRL2 :: ENDIAN_CTRL [07:07] */
#define BCHP_XPT_PB0_CTRL2_ENDIAN_CTRL_MASK                        0x00000080
#define BCHP_XPT_PB0_CTRL2_ENDIAN_CTRL_SHIFT                       7

/* XPT_PB0 :: CTRL2 :: reserved2 [06:06] */
#define BCHP_XPT_PB0_CTRL2_reserved2_MASK                          0x00000040
#define BCHP_XPT_PB0_CTRL2_reserved2_SHIFT                         6

/* XPT_PB0 :: CTRL2 :: TS_RANGE_MODE [05:05] */
#define BCHP_XPT_PB0_CTRL2_TS_RANGE_MODE_MASK                      0x00000020
#define BCHP_XPT_PB0_CTRL2_TS_RANGE_MODE_SHIFT                     5

/* XPT_PB0 :: CTRL2 :: PACING_START [04:04] */
#define BCHP_XPT_PB0_CTRL2_PACING_START_MASK                       0x00000010
#define BCHP_XPT_PB0_CTRL2_PACING_START_SHIFT                      4

/* XPT_PB0 :: CTRL2 :: PACING_EN [03:03] */
#define BCHP_XPT_PB0_CTRL2_PACING_EN_MASK                          0x00000008
#define BCHP_XPT_PB0_CTRL2_PACING_EN_SHIFT                         3

/* XPT_PB0 :: CTRL2 :: PACING_OFFSET_ADJ_DIS [02:02] */
#define BCHP_XPT_PB0_CTRL2_PACING_OFFSET_ADJ_DIS_MASK              0x00000004
#define BCHP_XPT_PB0_CTRL2_PACING_OFFSET_ADJ_DIS_SHIFT             2

/* XPT_PB0 :: CTRL2 :: PACING_AUTOSTART_EN [01:01] */
#define BCHP_XPT_PB0_CTRL2_PACING_AUTOSTART_EN_MASK                0x00000002
#define BCHP_XPT_PB0_CTRL2_PACING_AUTOSTART_EN_SHIFT               1

/* XPT_PB0 :: CTRL2 :: PROGRAM_STREAM_EN [00:00] */
#define BCHP_XPT_PB0_CTRL2_PROGRAM_STREAM_EN_MASK                  0x00000001
#define BCHP_XPT_PB0_CTRL2_PROGRAM_STREAM_EN_SHIFT                 0

/***************************************************************************
 *CTRL3 - Playback Control 3 Register
 ***************************************************************************/
/* XPT_PB0 :: CTRL3 :: DIRECTV_SYNC_OUT_CNT [31:28] */
#define BCHP_XPT_PB0_CTRL3_DIRECTV_SYNC_OUT_CNT_MASK               0xf0000000
#define BCHP_XPT_PB0_CTRL3_DIRECTV_SYNC_OUT_CNT_SHIFT              28

/* XPT_PB0 :: CTRL3 :: DIRECTV_SYNC_IN_CNT [27:24] */
#define BCHP_XPT_PB0_CTRL3_DIRECTV_SYNC_IN_CNT_MASK                0x0f000000
#define BCHP_XPT_PB0_CTRL3_DIRECTV_SYNC_IN_CNT_SHIFT               24

/* XPT_PB0 :: CTRL3 :: SYNC_ID_HI [23:16] */
#define BCHP_XPT_PB0_CTRL3_SYNC_ID_HI_MASK                         0x00ff0000
#define BCHP_XPT_PB0_CTRL3_SYNC_ID_HI_SHIFT                        16

/* XPT_PB0 :: CTRL3 :: SYNC_ID_LO [15:08] */
#define BCHP_XPT_PB0_CTRL3_SYNC_ID_LO_MASK                         0x0000ff00
#define BCHP_XPT_PB0_CTRL3_SYNC_ID_LO_SHIFT                        8

/* XPT_PB0 :: CTRL3 :: SYNC_LENGTH [07:00] */
#define BCHP_XPT_PB0_CTRL3_SYNC_LENGTH_MASK                        0x000000ff
#define BCHP_XPT_PB0_CTRL3_SYNC_LENGTH_SHIFT                       0

/***************************************************************************
 *CTRL4 - Playback Control 4 Register
 ***************************************************************************/
/* XPT_PB0 :: CTRL4 :: reserved0 [31:31] */
#define BCHP_XPT_PB0_CTRL4_reserved0_MASK                          0x80000000
#define BCHP_XPT_PB0_CTRL4_reserved0_SHIFT                         31

/* XPT_PB0 :: CTRL4 :: TS_USER_BITS_VALID [30:30] */
#define BCHP_XPT_PB0_CTRL4_TS_USER_BITS_VALID_MASK                 0x40000000
#define BCHP_XPT_PB0_CTRL4_TS_USER_BITS_VALID_SHIFT                30

/* XPT_PB0 :: CTRL4 :: PKTZ_PACK_HDR_DROP_MODE [29:29] */
#define BCHP_XPT_PB0_CTRL4_PKTZ_PACK_HDR_DROP_MODE_MASK            0x20000000
#define BCHP_XPT_PB0_CTRL4_PKTZ_PACK_HDR_DROP_MODE_SHIFT           29

/* XPT_PB0 :: CTRL4 :: PKTZ_PACK_HDR_INSERT_EN [28:28] */
#define BCHP_XPT_PB0_CTRL4_PKTZ_PACK_HDR_INSERT_EN_MASK            0x10000000
#define BCHP_XPT_PB0_CTRL4_PKTZ_PACK_HDR_INSERT_EN_SHIFT           28

/* XPT_PB0 :: CTRL4 :: PKTZ_SUB_ID_EN [27:27] */
#define BCHP_XPT_PB0_CTRL4_PKTZ_SUB_ID_EN_MASK                     0x08000000
#define BCHP_XPT_PB0_CTRL4_PKTZ_SUB_ID_EN_SHIFT                    27

/* XPT_PB0 :: CTRL4 :: PKTZ_STREAM_ID_EXT_EN [26:26] */
#define BCHP_XPT_PB0_CTRL4_PKTZ_STREAM_ID_EXT_EN_MASK              0x04000000
#define BCHP_XPT_PB0_CTRL4_PKTZ_STREAM_ID_EXT_EN_SHIFT             26

/* XPT_PB0 :: CTRL4 :: PKTZ_PT_EN [25:25] */
#define BCHP_XPT_PB0_CTRL4_PKTZ_PT_EN_MASK                         0x02000000
#define BCHP_XPT_PB0_CTRL4_PKTZ_PT_EN_SHIFT                        25

/* XPT_PB0 :: CTRL4 :: PKTZ_PUSI_SET_DIS [24:24] */
#define BCHP_XPT_PB0_CTRL4_PKTZ_PUSI_SET_DIS_MASK                  0x01000000
#define BCHP_XPT_PB0_CTRL4_PKTZ_PUSI_SET_DIS_SHIFT                 24

/* XPT_PB0 :: CTRL4 :: PKTZ_CONTEXT_EN [23:23] */
#define BCHP_XPT_PB0_CTRL4_PKTZ_CONTEXT_EN_MASK                    0x00800000
#define BCHP_XPT_PB0_CTRL4_PKTZ_CONTEXT_EN_SHIFT                   23

/* XPT_PB0 :: CTRL4 :: PACKETIZE_EN [22:22] */
#define BCHP_XPT_PB0_CTRL4_PACKETIZE_EN_MASK                       0x00400000
#define BCHP_XPT_PB0_CTRL4_PACKETIZE_EN_SHIFT                      22

/* XPT_PB0 :: CTRL4 :: HW_PAUSE [21:21] */
#define BCHP_XPT_PB0_CTRL4_HW_PAUSE_MASK                           0x00200000
#define BCHP_XPT_PB0_CTRL4_HW_PAUSE_SHIFT                          21

/* XPT_PB0 :: CTRL4 :: MEM_ARB_MODE [20:20] */
#define BCHP_XPT_PB0_CTRL4_MEM_ARB_MODE_MASK                       0x00100000
#define BCHP_XPT_PB0_CTRL4_MEM_ARB_MODE_SHIFT                      20

/* XPT_PB0 :: CTRL4 :: OUTPUT_PIPE_SEL [19:19] */
#define BCHP_XPT_PB0_CTRL4_OUTPUT_PIPE_SEL_MASK                    0x00080000
#define BCHP_XPT_PB0_CTRL4_OUTPUT_PIPE_SEL_SHIFT                   19

/* XPT_PB0 :: CTRL4 :: TIMEBASE_SEL_MSB [18:18] */
#define BCHP_XPT_PB0_CTRL4_TIMEBASE_SEL_MSB_MASK                   0x00040000
#define BCHP_XPT_PB0_CTRL4_TIMEBASE_SEL_MSB_SHIFT                  18

/* XPT_PB0 :: CTRL4 :: TIMESTAMP_USER_BITS [17:16] */
#define BCHP_XPT_PB0_CTRL4_TIMESTAMP_USER_BITS_MASK                0x00030000
#define BCHP_XPT_PB0_CTRL4_TIMESTAMP_USER_BITS_SHIFT               16

/* XPT_PB0 :: CTRL4 :: TIMEBASE_SEL [15:14] */
#define BCHP_XPT_PB0_CTRL4_TIMEBASE_SEL_MASK                       0x0000c000
#define BCHP_XPT_PB0_CTRL4_TIMEBASE_SEL_SHIFT                      14

/* XPT_PB0 :: CTRL4 :: TIMESTAMP_MODE [13:12] */
#define BCHP_XPT_PB0_CTRL4_TIMESTAMP_MODE_MASK                     0x00003000
#define BCHP_XPT_PB0_CTRL4_TIMESTAMP_MODE_SHIFT                    12

/* XPT_PB0 :: CTRL4 :: PARSER_FORCE_RESTAMP [11:11] */
#define BCHP_XPT_PB0_CTRL4_PARSER_FORCE_RESTAMP_MASK               0x00000800
#define BCHP_XPT_PB0_CTRL4_PARSER_FORCE_RESTAMP_SHIFT              11

/* XPT_PB0 :: CTRL4 :: reserved_for_eco1 [10:10] */
#define BCHP_XPT_PB0_CTRL4_reserved_for_eco1_MASK                  0x00000400
#define BCHP_XPT_PB0_CTRL4_reserved_for_eco1_SHIFT                 10

/* XPT_PB0 :: CTRL4 :: reserved2 [09:00] */
#define BCHP_XPT_PB0_CTRL4_reserved2_MASK                          0x000003ff
#define BCHP_XPT_PB0_CTRL4_reserved2_SHIFT                         0

/***************************************************************************
 *FIRST_DESC_ADDR - Playback First Descriptor Address Register
 ***************************************************************************/
/* XPT_PB0 :: FIRST_DESC_ADDR :: FIRST_DESC_ADDR [31:04] */
#define BCHP_XPT_PB0_FIRST_DESC_ADDR_FIRST_DESC_ADDR_MASK          0xfffffff0
#define BCHP_XPT_PB0_FIRST_DESC_ADDR_FIRST_DESC_ADDR_SHIFT         4

/* XPT_PB0 :: FIRST_DESC_ADDR :: reserved0 [03:00] */
#define BCHP_XPT_PB0_FIRST_DESC_ADDR_reserved0_MASK                0x0000000f
#define BCHP_XPT_PB0_FIRST_DESC_ADDR_reserved0_SHIFT               0

/***************************************************************************
 *CURR_DESC_ADDR - Playback Current Descriptor Address Register
 ***************************************************************************/
/* XPT_PB0 :: CURR_DESC_ADDR :: CURR_DESC_ADDR [31:04] */
#define BCHP_XPT_PB0_CURR_DESC_ADDR_CURR_DESC_ADDR_MASK            0xfffffff0
#define BCHP_XPT_PB0_CURR_DESC_ADDR_CURR_DESC_ADDR_SHIFT           4

/* XPT_PB0 :: CURR_DESC_ADDR :: FINISHED_SHADOW [03:03] */
#define BCHP_XPT_PB0_CURR_DESC_ADDR_FINISHED_SHADOW_MASK           0x00000008
#define BCHP_XPT_PB0_CURR_DESC_ADDR_FINISHED_SHADOW_SHIFT          3

/* XPT_PB0 :: CURR_DESC_ADDR :: BUSY_SHADOW [02:02] */
#define BCHP_XPT_PB0_CURR_DESC_ADDR_BUSY_SHADOW_MASK               0x00000004
#define BCHP_XPT_PB0_CURR_DESC_ADDR_BUSY_SHADOW_SHIFT              2

/* XPT_PB0 :: CURR_DESC_ADDR :: CURR_DESC_NOT_DONE [01:01] */
#define BCHP_XPT_PB0_CURR_DESC_ADDR_CURR_DESC_NOT_DONE_MASK        0x00000002
#define BCHP_XPT_PB0_CURR_DESC_ADDR_CURR_DESC_NOT_DONE_SHIFT       1

/* XPT_PB0 :: CURR_DESC_ADDR :: reserved0 [00:00] */
#define BCHP_XPT_PB0_CURR_DESC_ADDR_reserved0_MASK                 0x00000001
#define BCHP_XPT_PB0_CURR_DESC_ADDR_reserved0_SHIFT                0

/***************************************************************************
 *CURR_BUFF_ADDR - Playback Current Buffer Address Register
 ***************************************************************************/
/* XPT_PB0 :: CURR_BUFF_ADDR :: CURR_BUFF_ADDR [31:00] */
#define BCHP_XPT_PB0_CURR_BUFF_ADDR_CURR_BUFF_ADDR_MASK            0xffffffff
#define BCHP_XPT_PB0_CURR_BUFF_ADDR_CURR_BUFF_ADDR_SHIFT           0

/***************************************************************************
 *BLOCKOUT - Data Transport Playback Block Out Control
 ***************************************************************************/
/* XPT_PB0 :: BLOCKOUT :: reserved0 [31:25] */
#define BCHP_XPT_PB0_BLOCKOUT_reserved0_MASK                       0xfe000000
#define BCHP_XPT_PB0_BLOCKOUT_reserved0_SHIFT                      25

/* XPT_PB0 :: BLOCKOUT :: BO_SPARE_BW_EN [24:24] */
#define BCHP_XPT_PB0_BLOCKOUT_BO_SPARE_BW_EN_MASK                  0x01000000
#define BCHP_XPT_PB0_BLOCKOUT_BO_SPARE_BW_EN_SHIFT                 24

/* XPT_PB0 :: BLOCKOUT :: BO_COUNT [23:00] */
#define BCHP_XPT_PB0_BLOCKOUT_BO_COUNT_MASK                        0x00ffffff
#define BCHP_XPT_PB0_BLOCKOUT_BO_COUNT_SHIFT                       0

/***************************************************************************
 *PKTZ_CONTEXT0 - Data Transport Playback Packetize Mode Context 0 Control
 ***************************************************************************/
/* XPT_PB0 :: PKTZ_CONTEXT0 :: reserved0 [31:29] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT0_reserved0_MASK                  0xe0000000
#define BCHP_XPT_PB0_PKTZ_CONTEXT0_reserved0_SHIFT                 29

/* XPT_PB0 :: PKTZ_CONTEXT0 :: PID [28:16] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT0_PID_MASK                        0x1fff0000
#define BCHP_XPT_PB0_PKTZ_CONTEXT0_PID_SHIFT                       16

/* XPT_PB0 :: PKTZ_CONTEXT0 :: CH_NUM [15:08] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT0_CH_NUM_MASK                     0x0000ff00
#define BCHP_XPT_PB0_PKTZ_CONTEXT0_CH_NUM_SHIFT                    8

/* XPT_PB0 :: PKTZ_CONTEXT0 :: PES_STREAM_ID [07:00] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT0_PES_STREAM_ID_MASK              0x000000ff
#define BCHP_XPT_PB0_PKTZ_CONTEXT0_PES_STREAM_ID_SHIFT             0

/***************************************************************************
 *PKTZ_CONTEXT1 - Data Transport Playback Packetize Mode Context 1 Control
 ***************************************************************************/
/* XPT_PB0 :: PKTZ_CONTEXT1 :: reserved0 [31:29] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT1_reserved0_MASK                  0xe0000000
#define BCHP_XPT_PB0_PKTZ_CONTEXT1_reserved0_SHIFT                 29

/* XPT_PB0 :: PKTZ_CONTEXT1 :: PID [28:16] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT1_PID_MASK                        0x1fff0000
#define BCHP_XPT_PB0_PKTZ_CONTEXT1_PID_SHIFT                       16

/* XPT_PB0 :: PKTZ_CONTEXT1 :: CH_NUM [15:08] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT1_CH_NUM_MASK                     0x0000ff00
#define BCHP_XPT_PB0_PKTZ_CONTEXT1_CH_NUM_SHIFT                    8

/* XPT_PB0 :: PKTZ_CONTEXT1 :: PES_STREAM_ID [07:00] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT1_PES_STREAM_ID_MASK              0x000000ff
#define BCHP_XPT_PB0_PKTZ_CONTEXT1_PES_STREAM_ID_SHIFT             0

/***************************************************************************
 *PKTZ_CONTEXT2 - Data Transport Playback Packetize Mode Context 2 Control
 ***************************************************************************/
/* XPT_PB0 :: PKTZ_CONTEXT2 :: reserved0 [31:29] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT2_reserved0_MASK                  0xe0000000
#define BCHP_XPT_PB0_PKTZ_CONTEXT2_reserved0_SHIFT                 29

/* XPT_PB0 :: PKTZ_CONTEXT2 :: PID [28:16] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT2_PID_MASK                        0x1fff0000
#define BCHP_XPT_PB0_PKTZ_CONTEXT2_PID_SHIFT                       16

/* XPT_PB0 :: PKTZ_CONTEXT2 :: CH_NUM [15:08] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT2_CH_NUM_MASK                     0x0000ff00
#define BCHP_XPT_PB0_PKTZ_CONTEXT2_CH_NUM_SHIFT                    8

/* XPT_PB0 :: PKTZ_CONTEXT2 :: PES_STREAM_ID [07:00] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT2_PES_STREAM_ID_MASK              0x000000ff
#define BCHP_XPT_PB0_PKTZ_CONTEXT2_PES_STREAM_ID_SHIFT             0

/***************************************************************************
 *PKTZ_CONTEXT3 - Data Transport Playback Packetize Mode Context 3 Control
 ***************************************************************************/
/* XPT_PB0 :: PKTZ_CONTEXT3 :: reserved0 [31:29] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT3_reserved0_MASK                  0xe0000000
#define BCHP_XPT_PB0_PKTZ_CONTEXT3_reserved0_SHIFT                 29

/* XPT_PB0 :: PKTZ_CONTEXT3 :: PID [28:16] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT3_PID_MASK                        0x1fff0000
#define BCHP_XPT_PB0_PKTZ_CONTEXT3_PID_SHIFT                       16

/* XPT_PB0 :: PKTZ_CONTEXT3 :: CH_NUM [15:08] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT3_CH_NUM_MASK                     0x0000ff00
#define BCHP_XPT_PB0_PKTZ_CONTEXT3_CH_NUM_SHIFT                    8

/* XPT_PB0 :: PKTZ_CONTEXT3 :: PES_STREAM_ID [07:00] */
#define BCHP_XPT_PB0_PKTZ_CONTEXT3_PES_STREAM_ID_MASK              0x000000ff
#define BCHP_XPT_PB0_PKTZ_CONTEXT3_PES_STREAM_ID_SHIFT             0

/***************************************************************************
 *TS_ERR_BOUND - Data Transport Playback Timestamp Error Bound Register
 ***************************************************************************/
/* XPT_PB0 :: TS_ERR_BOUND :: reserved0 [31:19] */
#define BCHP_XPT_PB0_TS_ERR_BOUND_reserved0_MASK                   0xfff80000
#define BCHP_XPT_PB0_TS_ERR_BOUND_reserved0_SHIFT                  19

/* XPT_PB0 :: TS_ERR_BOUND :: TS_ERR_BOUND [18:00] */
#define BCHP_XPT_PB0_TS_ERR_BOUND_TS_ERR_BOUND_MASK                0x0007ffff
#define BCHP_XPT_PB0_TS_ERR_BOUND_TS_ERR_BOUND_SHIFT               0

/***************************************************************************
 *PARSER_CTRL1 - Data Transport Playback Parser Control Register
 ***************************************************************************/
/* XPT_PB0 :: PARSER_CTRL1 :: PARSER_TIMEBASE_SEL [31:29] */
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_TIMEBASE_SEL_MASK         0xe0000000
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_TIMEBASE_SEL_SHIFT        29

/* XPT_PB0 :: PARSER_CTRL1 :: PARSER_TIMESTAMP_MODE [28:27] */
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_TIMESTAMP_MODE_MASK       0x18000000
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_TIMESTAMP_MODE_SHIFT      27

/* XPT_PB0 :: PARSER_CTRL1 :: reserved0 [26:21] */
#define BCHP_XPT_PB0_PARSER_CTRL1_reserved0_MASK                   0x07e00000
#define BCHP_XPT_PB0_PARSER_CTRL1_reserved0_SHIFT                  21

/* XPT_PB0 :: PARSER_CTRL1 :: PARSER_ACCEPT_ADAPT_00 [20:20] */
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_ACCEPT_ADAPT_00_MASK      0x00100000
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_ACCEPT_ADAPT_00_SHIFT     20

/* XPT_PB0 :: PARSER_CTRL1 :: PARSER_PKT_LENGTH [19:12] */
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_PKT_LENGTH_MASK           0x000ff000
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_PKT_LENGTH_SHIFT          12

/* XPT_PB0 :: PARSER_CTRL1 :: reserved1 [11:08] */
#define BCHP_XPT_PB0_PARSER_CTRL1_reserved1_MASK                   0x00000f00
#define BCHP_XPT_PB0_PARSER_CTRL1_reserved1_SHIFT                  8

/* XPT_PB0 :: PARSER_CTRL1 :: PARSER_PACKET_TYPE [07:05] */
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_PACKET_TYPE_MASK          0x000000e0
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_PACKET_TYPE_SHIFT         5

/* XPT_PB0 :: PARSER_CTRL1 :: PARSER_ACCEPT_NULL_PKT [04:04] */
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_ACCEPT_NULL_PKT_MASK      0x00000010
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_ACCEPT_NULL_PKT_SHIFT     4

/* XPT_PB0 :: PARSER_CTRL1 :: PARSER_CONT_COUNT_IGNORE [03:03] */
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_CONT_COUNT_IGNORE_MASK    0x00000008
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_CONT_COUNT_IGNORE_SHIFT   3

/* XPT_PB0 :: PARSER_CTRL1 :: PARSER_ERROR_INPUT_TEI_IGNORE [02:02] */
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_ERROR_INPUT_TEI_IGNORE_MASK 0x00000004
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_ERROR_INPUT_TEI_IGNORE_SHIFT 2

/* XPT_PB0 :: PARSER_CTRL1 :: PARSER_ALL_PASS_CTRL [01:01] */
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_ALL_PASS_CTRL_MASK        0x00000002
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_ALL_PASS_CTRL_SHIFT       1

/* XPT_PB0 :: PARSER_CTRL1 :: PARSER_ENABLE [00:00] */
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_ENABLE_MASK               0x00000001
#define BCHP_XPT_PB0_PARSER_CTRL1_PARSER_ENABLE_SHIFT              0

/***************************************************************************
 *PARSER_CTRL2 - Data Transport Playback Parser Control Register 2
 ***************************************************************************/
/* XPT_PB0 :: PARSER_CTRL2 :: reserved0 [31:08] */
#define BCHP_XPT_PB0_PARSER_CTRL2_reserved0_MASK                   0xffffff00
#define BCHP_XPT_PB0_PARSER_CTRL2_reserved0_SHIFT                  8

/* XPT_PB0 :: PARSER_CTRL2 :: RAVE_CX_MODE [07:06] */
#define BCHP_XPT_PB0_PARSER_CTRL2_RAVE_CX_MODE_MASK                0x000000c0
#define BCHP_XPT_PB0_PARSER_CTRL2_RAVE_CX_MODE_SHIFT               6

/* XPT_PB0 :: PARSER_CTRL2 :: PARSER_SEC_CC_IGNORE [05:05] */
#define BCHP_XPT_PB0_PARSER_CTRL2_PARSER_SEC_CC_IGNORE_MASK        0x00000020
#define BCHP_XPT_PB0_PARSER_CTRL2_PARSER_SEC_CC_IGNORE_SHIFT       5

/* XPT_PB0 :: PARSER_CTRL2 :: reserved1 [04:00] */
#define BCHP_XPT_PB0_PARSER_CTRL2_reserved1_MASK                   0x0000001f
#define BCHP_XPT_PB0_PARSER_CTRL2_reserved1_SHIFT                  0

/***************************************************************************
 *PARSER_TIMESTAMP - Data Transport Playback Parser Local Timestamp
 ***************************************************************************/
/* XPT_PB0 :: PARSER_TIMESTAMP :: TIMESTAMP [31:00] */
#define BCHP_XPT_PB0_PARSER_TIMESTAMP_TIMESTAMP_MASK               0xffffffff
#define BCHP_XPT_PB0_PARSER_TIMESTAMP_TIMESTAMP_SHIFT              0

/***************************************************************************
 *INTR - Playback Processing Error and Status Interrupt Register
 ***************************************************************************/
/* XPT_PB0 :: INTR :: reserved0 [31:09] */
#define BCHP_XPT_PB0_INTR_reserved0_MASK                           0xfffffe00
#define BCHP_XPT_PB0_INTR_reserved0_SHIFT                          9

/* XPT_PB0 :: INTR :: PB_COPYRIGHT_CHANGE [08:08] */
#define BCHP_XPT_PB0_INTR_PB_COPYRIGHT_CHANGE_MASK                 0x00000100
#define BCHP_XPT_PB0_INTR_PB_COPYRIGHT_CHANGE_SHIFT                8

/* XPT_PB0 :: INTR :: PARSER_TRANSPORT_ERROR [07:07] */
#define BCHP_XPT_PB0_INTR_PARSER_TRANSPORT_ERROR_MASK              0x00000080
#define BCHP_XPT_PB0_INTR_PARSER_TRANSPORT_ERROR_SHIFT             7

/* XPT_PB0 :: INTR :: PARSER_LENGTH_ERROR [06:06] */
#define BCHP_XPT_PB0_INTR_PARSER_LENGTH_ERROR_MASK                 0x00000040
#define BCHP_XPT_PB0_INTR_PARSER_LENGTH_ERROR_SHIFT                6

/* XPT_PB0 :: INTR :: PARSER_SEC_CC_ERROR [05:05] */
#define BCHP_XPT_PB0_INTR_PARSER_SEC_CC_ERROR_MASK                 0x00000020
#define BCHP_XPT_PB0_INTR_PARSER_SEC_CC_ERROR_SHIFT                5

/* XPT_PB0 :: INTR :: PARSER_CONTINUITY_ERROR [04:04] */
#define BCHP_XPT_PB0_INTR_PARSER_CONTINUITY_ERROR_MASK             0x00000010
#define BCHP_XPT_PB0_INTR_PARSER_CONTINUITY_ERROR_SHIFT            4

/* XPT_PB0 :: INTR :: TS_RANGE_ERROR [03:03] */
#define BCHP_XPT_PB0_INTR_TS_RANGE_ERROR_MASK                      0x00000008
#define BCHP_XPT_PB0_INTR_TS_RANGE_ERROR_SHIFT                     3

/* XPT_PB0 :: INTR :: TS_PARITY_ERROR [02:02] */
#define BCHP_XPT_PB0_INTR_TS_PARITY_ERROR_MASK                     0x00000004
#define BCHP_XPT_PB0_INTR_TS_PARITY_ERROR_SHIFT                    2

/* XPT_PB0 :: INTR :: SE_OUT_OF_SYNC_INT [01:01] */
#define BCHP_XPT_PB0_INTR_SE_OUT_OF_SYNC_INT_MASK                  0x00000002
#define BCHP_XPT_PB0_INTR_SE_OUT_OF_SYNC_INT_SHIFT                 1

/* XPT_PB0 :: INTR :: DONE_INT [00:00] */
#define BCHP_XPT_PB0_INTR_DONE_INT_MASK                            0x00000001
#define BCHP_XPT_PB0_INTR_DONE_INT_SHIFT                           0

/***************************************************************************
 *INTR_EN - Playback Processing Error and Status Interrupt Enable Register
 ***************************************************************************/
/* XPT_PB0 :: INTR_EN :: reserved0 [31:09] */
#define BCHP_XPT_PB0_INTR_EN_reserved0_MASK                        0xfffffe00
#define BCHP_XPT_PB0_INTR_EN_reserved0_SHIFT                       9

/* XPT_PB0 :: INTR_EN :: INTR_EN [08:00] */
#define BCHP_XPT_PB0_INTR_EN_INTR_EN_MASK                          0x000001ff
#define BCHP_XPT_PB0_INTR_EN_INTR_EN_SHIFT                         0

/***************************************************************************
 *INTR_TAGS - Playback Interrupt Tag Register
 ***************************************************************************/
/* XPT_PB0 :: INTR_TAGS :: reserved0 [31:04] */
#define BCHP_XPT_PB0_INTR_TAGS_reserved0_MASK                      0xfffffff0
#define BCHP_XPT_PB0_INTR_TAGS_reserved0_SHIFT                     4

/* XPT_PB0 :: INTR_TAGS :: PB_DESC_TAG_ID [03:00] */
#define BCHP_XPT_PB0_INTR_TAGS_PB_DESC_TAG_ID_MASK                 0x0000000f
#define BCHP_XPT_PB0_INTR_TAGS_PB_DESC_TAG_ID_SHIFT                0

#endif /* #ifndef BCHP_XPT_PB0_H__ */

/* End of File */
