/***************************************************************************
 *     Copyright (c) 1999-2009, Broadcom Corporation
 *
 **********************************************************************
 * This file is part of the crystalhd device driver.
 *
 * This driver is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the License.
 *
 * This driver is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this driver.  If not, see <http://www.gnu.org/licenses/>.
 **********************************************************************
 *
 * $brcm_Workfile: bchp_scl_hd.h $
 * $brcm_Revision: Hydra_Software_Devel/1 $
 * $brcm_Date: 7/17/09 8:18p $
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Fri Jul 17 19:42:12 2009
 *                 MD5 Checksum         2914699efc3fb3edefca5cb4f4f38b34
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.008008
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/70015/rdb/a0/bchp_scl_hd.h $
 * 
 * Hydra_Software_Devel/1   7/17/09 8:18p albertl
 * PR56880: Initial revision.
 *
 ***************************************************************************/

#ifndef BCHP_SCL_HD_H__
#define BCHP_SCL_HD_H__

/***************************************************************************
 *SCL_HD - Video Scaler Registers
 ***************************************************************************/
#define BCHP_SCL_HD_REVISION_ID                  0x00540800 /* Scaler Revision register */
#define BCHP_SCL_HD_TOP_CONTROL                  0x00540804 /* Scaler Top Level Control register */
#define BCHP_SCL_HD_VERT_CONTROL                 0x00540808 /* Video Vertical Scaler Control register */
#define BCHP_SCL_HD_HORIZ_CONTROL                0x0054080c /* Video Horizontal Scaler Control register */
#define BCHP_SCL_HD_BVB_IN_SIZE                  0x00540810 /* BVB Input Picture Size Information */
#define BCHP_SCL_HD_PIC_OFFSET                   0x00540814 /* BVB Input Picture OFFSET Information */
#define BCHP_SCL_HD_SRC_PIC_SIZE                 0x00540818 /* Scaler Source Picture Size Information */
#define BCHP_SCL_HD_DEST_PIC_SIZE                0x0054081c /* Scaler Destination Picture Size Information */
#define BCHP_SCL_HD_SRC_PIC_VERT_PAN_SCAN        0x00540820 /* Scaler Source Picture Vertical Pan/Scan Information */
#define BCHP_SCL_HD_VERT_FIR_SRC_PIC_OFFSET      0x00540824 /* Vertical 8 Taps Poly-Phase Filter Source Picture Offset */
#define BCHP_SCL_HD_VERT_FIR_SRC_PIC_STEP        0x00540828 /* Vertical 8 Taps Poly-Phase Filter Source Picture Stepping Size */
#define BCHP_SCL_HD_SRC_PIC_HORIZ_PAN_SCAN       0x0054082c /* Scaler Source Picture Horizontal Pan/Scan Information */
#define BCHP_SCL_HD_HORIZ_FIR_LUMA_SRC_PIC_OFFSET 0x00540830 /* Horizontal 16 Taps Poly-Phase Filter Source Picture Luma Offset */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_SRC_PIC_OFFSET 0x00540834 /* Horizontal 16 Taps Poly-Phase Filter Source Picture Chroma Offset */
#define BCHP_SCL_HD_HORIZ_FIR_INIT_PHASE_ACC     0x00540838 /* Horizontal 16 Taps Poly-Phase Filter Initial Phase Accumulate Value */
#define BCHP_SCL_HD_HORIZ_FIR_INIT_STEP          0x0054083c /* Horizontal Poly-Phase Filter Initial Stepping Size for Region 0 */
#define BCHP_SCL_HD_HORIZ_FIR_DEST_PIC_REGION_0_STEP_DELTA 0x00540840 /* Horizontal Poly-Phase Filter Picture Delta Increment for Region 0 Stepping Size */
#define BCHP_SCL_HD_HORIZ_FIR_DEST_PIC_REGION_2_STEP_DELTA 0x00540844 /* Horizontal Poly-Phase Filter Picture Delta Increment for Region 2 Stepping Size */
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_0_END  0x00540848 /* Horizontal Poly-Phase Filter Destination Region 0 Ending Position */
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_1_END  0x0054084c /* Horizontal Poly-Phase Filter Destination Region 1 Ending Position */
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_2_END  0x00540850 /* Horizontal Poly-Phase Filter Destination Region 2 Ending Position */
#define BCHP_SCL_HD_ENABLE                       0x00540854 /* Video Scaler Enable */
#define BCHP_SCL_HD_TEST_PORT_CONTROL            0x00540880 /* Testportl control register */
#define BCHP_SCL_HD_TEST_PORT_DATA               0x00540884 /* Testport data register */
#define BCHP_SCL_HD_SCRATCH_0                    0x00540888 /* Scaler Scratch register 0 */
#define BCHP_SCL_HD_SCRATCH_1                    0x0054088c /* Scaler Scratch register 1 */
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR          0x005408a0 /* Scaler Broadcom Video Bus Input Status Clear */
#define BCHP_SCL_HD_BVB_IN_STATUS                0x005408a4 /* Scaler Broadcom Video Bus Input Status */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_00_01  0x00540900 /* Vertical Scaler Poly-Phase Filter Phase 0 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_02_03  0x00540904 /* Vertical Scaler Poly-Phase Filter Phase 0 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_04_05  0x00540908 /* Vertical Scaler Poly-Phase Filter Phase 0 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_06_07  0x0054090c /* Vertical Scaler Poly-Phase Filter Phase 0 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_00_01  0x00540910 /* Vertical Scaler Poly-Phase Filter Phase 1 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_02_03  0x00540914 /* Vertical Scaler Poly-Phase Filter Phase 1 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_04_05  0x00540918 /* Vertical Scaler Poly-Phase Filter Phase 1 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_06_07  0x0054091c /* Vertical Scaler Poly-Phase Filter Phase 1 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_00_01  0x00540920 /* Vertical Scaler Poly-Phase Filter Phase 2 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_02_03  0x00540924 /* Vertical Scaler Poly-Phase Filter Phase 2 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_04_05  0x00540928 /* Vertical Scaler Poly-Phase Filter Phase 2 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_06_07  0x0054092c /* Vertical Scaler Poly-Phase Filter Phase 2 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_00_01  0x00540930 /* Vertical Scaler Poly-Phase Filter Phase 3 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_02_03  0x00540934 /* Vertical Scaler Poly-Phase Filter Phase 3 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_04_05  0x00540938 /* Vertical Scaler Poly-Phase Filter Phase 3 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_06_07  0x0054093c /* Vertical Scaler Poly-Phase Filter Phase 3 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_00_01  0x00540940 /* Vertical Scaler Poly-Phase Filter Phase 4 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_02_03  0x00540944 /* Vertical Scaler Poly-Phase Filter Phase 4 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_04_05  0x00540948 /* Vertical Scaler Poly-Phase Filter Phase 4 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_06_07  0x0054094c /* Vertical Scaler Poly-Phase Filter Phase 4 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_00_01  0x00540950 /* Vertical Scaler Poly-Phase Filter Phase 5 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_02_03  0x00540954 /* Vertical Scaler Poly-Phase Filter Phase 5 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_04_05  0x00540958 /* Vertical Scaler Poly-Phase Filter Phase 5 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_06_07  0x0054095c /* Vertical Scaler Poly-Phase Filter Phase 5 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_00_01  0x00540960 /* Vertical Scaler Poly-Phase Filter Phase 6 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_02_03  0x00540964 /* Vertical Scaler Poly-Phase Filter Phase 6 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_04_05  0x00540968 /* Vertical Scaler Poly-Phase Filter Phase 6 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_06_07  0x0054096c /* Vertical Scaler Poly-Phase Filter Phase 6 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_00_01  0x00540970 /* Vertical Scaler Poly-Phase Filter Phase 7 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_02_03  0x00540974 /* Vertical Scaler Poly-Phase Filter Phase 7 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_04_05  0x00540978 /* Vertical Scaler Poly-Phase Filter Phase 7 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_06_07  0x0054097c /* Vertical Scaler Poly-Phase Filter Phase 7 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_00_01 0x00540980 /* Vertical Scaler Poly-Phase Filter Phase 0 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_02_03 0x00540984 /* Vertical Scaler Poly-Phase Filter Phase 0 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_04_05 0x00540988 /* Vertical Scaler Poly-Phase Filter Phase 0 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_06_07 0x0054098c /* Vertical Scaler Poly-Phase Filter Phase 0 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_00_01 0x00540990 /* Vertical Scaler Poly-Phase Filter Phase 1 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_02_03 0x00540994 /* Vertical Scaler Poly-Phase Filter Phase 1 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_04_05 0x00540998 /* Vertical Scaler Poly-Phase Filter Phase 1 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_06_07 0x0054099c /* Vertical Scaler Poly-Phase Filter Phase 1 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_00_01 0x005409a0 /* Vertical Scaler Poly-Phase Filter Phase 2 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_02_03 0x005409a4 /* Vertical Scaler Poly-Phase Filter Phase 2 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_04_05 0x005409a8 /* Vertical Scaler Poly-Phase Filter Phase 2 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_06_07 0x005409ac /* Vertical Scaler Poly-Phase Filter Phase 2 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_00_01 0x005409b0 /* Vertical Scaler Poly-Phase Filter Phase 3 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_02_03 0x005409b4 /* Vertical Scaler Poly-Phase Filter Phase 3 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_04_05 0x005409b8 /* Vertical Scaler Poly-Phase Filter Phase 3 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_06_07 0x005409bc /* Vertical Scaler Poly-Phase Filter Phase 3 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_00_01 0x005409c0 /* Vertical Scaler Poly-Phase Filter Phase 4 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_02_03 0x005409c4 /* Vertical Scaler Poly-Phase Filter Phase 4 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_04_05 0x005409c8 /* Vertical Scaler Poly-Phase Filter Phase 4 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_06_07 0x005409cc /* Vertical Scaler Poly-Phase Filter Phase 4 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_00_01 0x005409d0 /* Vertical Scaler Poly-Phase Filter Phase 5 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_02_03 0x005409d4 /* Vertical Scaler Poly-Phase Filter Phase 5 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_04_05 0x005409d8 /* Vertical Scaler Poly-Phase Filter Phase 5 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_06_07 0x005409dc /* Vertical Scaler Poly-Phase Filter Phase 5 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_00_01 0x005409e0 /* Vertical Scaler Poly-Phase Filter Phase 6 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_02_03 0x005409e4 /* Vertical Scaler Poly-Phase Filter Phase 6 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_04_05 0x005409e8 /* Vertical Scaler Poly-Phase Filter Phase 6 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_06_07 0x005409ec /* Vertical Scaler Poly-Phase Filter Phase 6 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_00_01 0x005409f0 /* Vertical Scaler Poly-Phase Filter Phase 7 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_02_03 0x005409f4 /* Vertical Scaler Poly-Phase Filter Phase 7 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_04_05 0x005409f8 /* Vertical Scaler Poly-Phase Filter Phase 7 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_06_07 0x005409fc /* Vertical Scaler Poly-Phase Filter Phase 7 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_00_01 0x00540a00 /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_02_03 0x00540a04 /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_04_05 0x00540a08 /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_06_07 0x00540a0c /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_08_09 0x00540a10 /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 8 and 9 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_10_11 0x00540a14 /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 10 and 11 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_12_13 0x00540a18 /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 12 and 13 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_14_15 0x00540a1c /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 14 and 15 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_00_01 0x00540a20 /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_02_03 0x00540a24 /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_04_05 0x00540a28 /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_06_07 0x00540a2c /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_08_09 0x00540a30 /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 8 and 9 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_10_11 0x00540a34 /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 10 and 11 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_12_13 0x00540a38 /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 12 and 13 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_14_15 0x00540a3c /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 14 and 15 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_00_01 0x00540a40 /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_02_03 0x00540a44 /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_04_05 0x00540a48 /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_06_07 0x00540a4c /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_08_09 0x00540a50 /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 8 and 9 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_10_11 0x00540a54 /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 10 and 11 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_12_13 0x00540a58 /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 12 and 13 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_14_15 0x00540a5c /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 14 and 15 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_00_01 0x00540a60 /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_02_03 0x00540a64 /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_04_05 0x00540a68 /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_06_07 0x00540a6c /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_08_09 0x00540a70 /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 8 and 9 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_10_11 0x00540a74 /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 10 and 11 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_12_13 0x00540a78 /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 12 and 13 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_14_15 0x00540a7c /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 14 and 15 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_00_01 0x00540a80 /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_02_03 0x00540a84 /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_04_05 0x00540a88 /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_06_07 0x00540a8c /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_08_09 0x00540a90 /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 8 and 9 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_10_11 0x00540a94 /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 10 and 11 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_12_13 0x00540a98 /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 12 and 13 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_14_15 0x00540a9c /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 14 and 15 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_00_01 0x00540aa0 /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_02_03 0x00540aa4 /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_04_05 0x00540aa8 /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_06_07 0x00540aac /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_08_09 0x00540ab0 /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 8 and 9 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_10_11 0x00540ab4 /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 10 and 11 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_12_13 0x00540ab8 /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 12 and 13 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_14_15 0x00540abc /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 14 and 15 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_00_01 0x00540ac0 /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_02_03 0x00540ac4 /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_04_05 0x00540ac8 /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_06_07 0x00540acc /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_08_09 0x00540ad0 /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 8 and 9 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_10_11 0x00540ad4 /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 10 and 11 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_12_13 0x00540ad8 /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 12 and 13 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_14_15 0x00540adc /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 14 and 15 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_00_01 0x00540ae0 /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 0 and 1 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_02_03 0x00540ae4 /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 2 and 3 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_04_05 0x00540ae8 /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 4 and 5 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_06_07 0x00540aec /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 6 and 7 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_08_09 0x00540af0 /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 8 and 9 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_10_11 0x00540af4 /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 10 and 11 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_12_13 0x00540af8 /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 12 and 13 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_14_15 0x00540afc /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 14 and 15 Luma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01 0x00540b00 /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03 0x00540b04 /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05 0x00540b08 /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07 0x00540b0c /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09 0x00540b10 /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 8 and 9 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11 0x00540b14 /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 10 and 11 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13 0x00540b18 /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 12 and 13 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15 0x00540b1c /* Horizontal Scaler Poly-Phase Filter Phase 0 Tap 14 and 15 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01 0x00540b20 /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03 0x00540b24 /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05 0x00540b28 /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07 0x00540b2c /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09 0x00540b30 /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 8 and 9 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11 0x00540b34 /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 10 and 11 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13 0x00540b38 /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 12 and 13 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15 0x00540b3c /* Horizontal Scaler Poly-Phase Filter Phase 1 Tap 14 and 15 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01 0x00540b40 /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03 0x00540b44 /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05 0x00540b48 /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07 0x00540b4c /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09 0x00540b50 /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 8 and 9 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11 0x00540b54 /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 10 and 11 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13 0x00540b58 /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 12 and 13 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15 0x00540b5c /* Horizontal Scaler Poly-Phase Filter Phase 2 Tap 14 and 15 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01 0x00540b60 /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03 0x00540b64 /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05 0x00540b68 /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07 0x00540b6c /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09 0x00540b70 /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 8 and 9 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11 0x00540b74 /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 10 and 11 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13 0x00540b78 /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 12 and 13 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15 0x00540b7c /* Horizontal Scaler Poly-Phase Filter Phase 3 Tap 14 and 15 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01 0x00540b80 /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03 0x00540b84 /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05 0x00540b88 /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07 0x00540b8c /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09 0x00540b90 /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 8 and 9 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11 0x00540b94 /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 10 and 11 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13 0x00540b98 /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 12 and 13 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15 0x00540b9c /* Horizontal Scaler Poly-Phase Filter Phase 4 Tap 14 and 15 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01 0x00540ba0 /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03 0x00540ba4 /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05 0x00540ba8 /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07 0x00540bac /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09 0x00540bb0 /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 8 and 9 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11 0x00540bb4 /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 10 and 11 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13 0x00540bb8 /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 12 and 13 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15 0x00540bbc /* Horizontal Scaler Poly-Phase Filter Phase 5 Tap 14 and 15 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01 0x00540bc0 /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03 0x00540bc4 /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05 0x00540bc8 /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07 0x00540bcc /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09 0x00540bd0 /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 8 and 9 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11 0x00540bd4 /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 10 and 11 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13 0x00540bd8 /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 12 and 13 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15 0x00540bdc /* Horizontal Scaler Poly-Phase Filter Phase 6 Tap 14 and 15 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01 0x00540be0 /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 0 and 1 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03 0x00540be4 /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 2 and 3 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05 0x00540be8 /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 4 and 5 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07 0x00540bec /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 6 and 7 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09 0x00540bf0 /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 8 and 9 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11 0x00540bf4 /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 10 and 11 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13 0x00540bf8 /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 12 and 13 Chroma Coefficients */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15 0x00540bfc /* Horizontal Scaler Poly-Phase Filter Phase 7 Tap 14 and 15 Chroma Coefficients */

/***************************************************************************
 *REVISION_ID - Scaler Revision register
 ***************************************************************************/
/* SCL_HD :: REVISION_ID :: reserved0 [31:16] */
#define BCHP_SCL_HD_REVISION_ID_reserved0_MASK                     0xffff0000
#define BCHP_SCL_HD_REVISION_ID_reserved0_SHIFT                    16

/* SCL_HD :: REVISION_ID :: MAJOR [15:08] */
#define BCHP_SCL_HD_REVISION_ID_MAJOR_MASK                         0x0000ff00
#define BCHP_SCL_HD_REVISION_ID_MAJOR_SHIFT                        8

/* SCL_HD :: REVISION_ID :: MINOR [07:00] */
#define BCHP_SCL_HD_REVISION_ID_MINOR_MASK                         0x000000ff
#define BCHP_SCL_HD_REVISION_ID_MINOR_SHIFT                        0

/***************************************************************************
 *TOP_CONTROL - Scaler Top Level Control register
 ***************************************************************************/
/* SCL_HD :: TOP_CONTROL :: reserved0 [31:04] */
#define BCHP_SCL_HD_TOP_CONTROL_reserved0_MASK                     0xfffffff0
#define BCHP_SCL_HD_TOP_CONTROL_reserved0_SHIFT                    4

/* SCL_HD :: TOP_CONTROL :: ENABLE_CTRL [03:03] */
#define BCHP_SCL_HD_TOP_CONTROL_ENABLE_CTRL_MASK                   0x00000008
#define BCHP_SCL_HD_TOP_CONTROL_ENABLE_CTRL_SHIFT                  3
#define BCHP_SCL_HD_TOP_CONTROL_ENABLE_CTRL_ENABLE_BY_PICTURE      1
#define BCHP_SCL_HD_TOP_CONTROL_ENABLE_CTRL_ALWAYS_ENABLE          0

/* SCL_HD :: TOP_CONTROL :: UPDATE_SEL [02:02] */
#define BCHP_SCL_HD_TOP_CONTROL_UPDATE_SEL_MASK                    0x00000004
#define BCHP_SCL_HD_TOP_CONTROL_UPDATE_SEL_SHIFT                   2
#define BCHP_SCL_HD_TOP_CONTROL_UPDATE_SEL_UPDATE_BY_PICTURE       1
#define BCHP_SCL_HD_TOP_CONTROL_UPDATE_SEL_ALWAYS_UPDATE           0

/* SCL_HD :: TOP_CONTROL :: FILTER_ORDER [01:01] */
#define BCHP_SCL_HD_TOP_CONTROL_FILTER_ORDER_MASK                  0x00000002
#define BCHP_SCL_HD_TOP_CONTROL_FILTER_ORDER_SHIFT                 1
#define BCHP_SCL_HD_TOP_CONTROL_FILTER_ORDER_VERT_FIRST            1
#define BCHP_SCL_HD_TOP_CONTROL_FILTER_ORDER_HORIZ_FIRST           0

/* SCL_HD :: TOP_CONTROL :: reserved1 [00:00] */
#define BCHP_SCL_HD_TOP_CONTROL_reserved1_MASK                     0x00000001
#define BCHP_SCL_HD_TOP_CONTROL_reserved1_SHIFT                    0

/***************************************************************************
 *VERT_CONTROL - Video Vertical Scaler Control register
 ***************************************************************************/
/* SCL_HD :: VERT_CONTROL :: reserved0 [31:09] */
#define BCHP_SCL_HD_VERT_CONTROL_reserved0_MASK                    0xfffffe00
#define BCHP_SCL_HD_VERT_CONTROL_reserved0_SHIFT                   9

/* SCL_HD :: VERT_CONTROL :: BAVG_BLK_SIZE [08:04] */
#define BCHP_SCL_HD_VERT_CONTROL_BAVG_BLK_SIZE_MASK                0x000001f0
#define BCHP_SCL_HD_VERT_CONTROL_BAVG_BLK_SIZE_SHIFT               4

/* SCL_HD :: VERT_CONTROL :: reserved1 [03:03] */
#define BCHP_SCL_HD_VERT_CONTROL_reserved1_MASK                    0x00000008
#define BCHP_SCL_HD_VERT_CONTROL_reserved1_SHIFT                   3

/* SCL_HD :: VERT_CONTROL :: MODE [02:00] */
#define BCHP_SCL_HD_VERT_CONTROL_MODE_MASK                         0x00000007
#define BCHP_SCL_HD_VERT_CONTROL_MODE_SHIFT                        0
#define BCHP_SCL_HD_VERT_CONTROL_MODE_BYPASS                       0
#define BCHP_SCL_HD_VERT_CONTROL_MODE_TYPE_1                       1
#define BCHP_SCL_HD_VERT_CONTROL_MODE_FIR4                         2
#define BCHP_SCL_HD_VERT_CONTROL_MODE_TYPE_3                       3
#define BCHP_SCL_HD_VERT_CONTROL_MODE_AV4                          4
#define BCHP_SCL_HD_VERT_CONTROL_MODE_FIR8                         5
#define BCHP_SCL_HD_VERT_CONTROL_MODE_AV8                          6
#define BCHP_SCL_HD_VERT_CONTROL_MODE_TYPE_7                       7

/***************************************************************************
 *HORIZ_CONTROL - Video Horizontal Scaler Control register
 ***************************************************************************/
/* SCL_HD :: HORIZ_CONTROL :: reserved0 [31:08] */
#define BCHP_SCL_HD_HORIZ_CONTROL_reserved0_MASK                   0xffffff00
#define BCHP_SCL_HD_HORIZ_CONTROL_reserved0_SHIFT                  8

/* SCL_HD :: HORIZ_CONTROL :: CHROMA_DERINGING [07:07] */
#define BCHP_SCL_HD_HORIZ_CONTROL_CHROMA_DERINGING_MASK            0x00000080
#define BCHP_SCL_HD_HORIZ_CONTROL_CHROMA_DERINGING_SHIFT           7
#define BCHP_SCL_HD_HORIZ_CONTROL_CHROMA_DERINGING_OFF             0
#define BCHP_SCL_HD_HORIZ_CONTROL_CHROMA_DERINGING_ON              1

/* SCL_HD :: HORIZ_CONTROL :: LUMA_DERINGING [06:06] */
#define BCHP_SCL_HD_HORIZ_CONTROL_LUMA_DERINGING_MASK              0x00000040
#define BCHP_SCL_HD_HORIZ_CONTROL_LUMA_DERINGING_SHIFT             6
#define BCHP_SCL_HD_HORIZ_CONTROL_LUMA_DERINGING_OFF               0
#define BCHP_SCL_HD_HORIZ_CONTROL_LUMA_DERINGING_ON                1

/* SCL_HD :: HORIZ_CONTROL :: MASK_HSCL_LONG_LINE [05:05] */
#define BCHP_SCL_HD_HORIZ_CONTROL_MASK_HSCL_LONG_LINE_MASK         0x00000020
#define BCHP_SCL_HD_HORIZ_CONTROL_MASK_HSCL_LONG_LINE_SHIFT        5
#define BCHP_SCL_HD_HORIZ_CONTROL_MASK_HSCL_LONG_LINE_OFF          0
#define BCHP_SCL_HD_HORIZ_CONTROL_MASK_HSCL_LONG_LINE_ON           1

/* SCL_HD :: HORIZ_CONTROL :: MASK_HSCL_SHORT_LINE [04:04] */
#define BCHP_SCL_HD_HORIZ_CONTROL_MASK_HSCL_SHORT_LINE_MASK        0x00000010
#define BCHP_SCL_HD_HORIZ_CONTROL_MASK_HSCL_SHORT_LINE_SHIFT       4
#define BCHP_SCL_HD_HORIZ_CONTROL_MASK_HSCL_SHORT_LINE_OFF         0
#define BCHP_SCL_HD_HORIZ_CONTROL_MASK_HSCL_SHORT_LINE_ON          1

/* SCL_HD :: HORIZ_CONTROL :: STALL_DRAIN_ENABLE [03:03] */
#define BCHP_SCL_HD_HORIZ_CONTROL_STALL_DRAIN_ENABLE_MASK          0x00000008
#define BCHP_SCL_HD_HORIZ_CONTROL_STALL_DRAIN_ENABLE_SHIFT         3
#define BCHP_SCL_HD_HORIZ_CONTROL_STALL_DRAIN_ENABLE_OFF           0
#define BCHP_SCL_HD_HORIZ_CONTROL_STALL_DRAIN_ENABLE_ON            1

/* SCL_HD :: HORIZ_CONTROL :: FIR_ENABLE [02:02] */
#define BCHP_SCL_HD_HORIZ_CONTROL_FIR_ENABLE_MASK                  0x00000004
#define BCHP_SCL_HD_HORIZ_CONTROL_FIR_ENABLE_SHIFT                 2
#define BCHP_SCL_HD_HORIZ_CONTROL_FIR_ENABLE_OFF                   0
#define BCHP_SCL_HD_HORIZ_CONTROL_FIR_ENABLE_ON                    1

/* SCL_HD :: HORIZ_CONTROL :: HWF1_ENABLE [01:01] */
#define BCHP_SCL_HD_HORIZ_CONTROL_HWF1_ENABLE_MASK                 0x00000002
#define BCHP_SCL_HD_HORIZ_CONTROL_HWF1_ENABLE_SHIFT                1
#define BCHP_SCL_HD_HORIZ_CONTROL_HWF1_ENABLE_OFF                  0
#define BCHP_SCL_HD_HORIZ_CONTROL_HWF1_ENABLE_ON                   1

/* SCL_HD :: HORIZ_CONTROL :: HWF0_ENABLE [00:00] */
#define BCHP_SCL_HD_HORIZ_CONTROL_HWF0_ENABLE_MASK                 0x00000001
#define BCHP_SCL_HD_HORIZ_CONTROL_HWF0_ENABLE_SHIFT                0
#define BCHP_SCL_HD_HORIZ_CONTROL_HWF0_ENABLE_OFF                  0
#define BCHP_SCL_HD_HORIZ_CONTROL_HWF0_ENABLE_ON                   1

/***************************************************************************
 *BVB_IN_SIZE - BVB Input Picture Size Information
 ***************************************************************************/
/* SCL_HD :: BVB_IN_SIZE :: reserved0 [31:27] */
#define BCHP_SCL_HD_BVB_IN_SIZE_reserved0_MASK                     0xf8000000
#define BCHP_SCL_HD_BVB_IN_SIZE_reserved0_SHIFT                    27

/* SCL_HD :: BVB_IN_SIZE :: HSIZE [26:16] */
#define BCHP_SCL_HD_BVB_IN_SIZE_HSIZE_MASK                         0x07ff0000
#define BCHP_SCL_HD_BVB_IN_SIZE_HSIZE_SHIFT                        16

/* SCL_HD :: BVB_IN_SIZE :: reserved1 [15:11] */
#define BCHP_SCL_HD_BVB_IN_SIZE_reserved1_MASK                     0x0000f800
#define BCHP_SCL_HD_BVB_IN_SIZE_reserved1_SHIFT                    11

/* SCL_HD :: BVB_IN_SIZE :: VSIZE [10:00] */
#define BCHP_SCL_HD_BVB_IN_SIZE_VSIZE_MASK                         0x000007ff
#define BCHP_SCL_HD_BVB_IN_SIZE_VSIZE_SHIFT                        0

/***************************************************************************
 *PIC_OFFSET - BVB Input Picture OFFSET Information
 ***************************************************************************/
/* SCL_HD :: PIC_OFFSET :: reserved0 [31:27] */
#define BCHP_SCL_HD_PIC_OFFSET_reserved0_MASK                      0xf8000000
#define BCHP_SCL_HD_PIC_OFFSET_reserved0_SHIFT                     27

/* SCL_HD :: PIC_OFFSET :: HSIZE [26:16] */
#define BCHP_SCL_HD_PIC_OFFSET_HSIZE_MASK                          0x07ff0000
#define BCHP_SCL_HD_PIC_OFFSET_HSIZE_SHIFT                         16

/* SCL_HD :: PIC_OFFSET :: reserved1 [15:11] */
#define BCHP_SCL_HD_PIC_OFFSET_reserved1_MASK                      0x0000f800
#define BCHP_SCL_HD_PIC_OFFSET_reserved1_SHIFT                     11

/* SCL_HD :: PIC_OFFSET :: VSIZE [10:00] */
#define BCHP_SCL_HD_PIC_OFFSET_VSIZE_MASK                          0x000007ff
#define BCHP_SCL_HD_PIC_OFFSET_VSIZE_SHIFT                         0

/***************************************************************************
 *SRC_PIC_SIZE - Scaler Source Picture Size Information
 ***************************************************************************/
/* SCL_HD :: SRC_PIC_SIZE :: reserved0 [31:27] */
#define BCHP_SCL_HD_SRC_PIC_SIZE_reserved0_MASK                    0xf8000000
#define BCHP_SCL_HD_SRC_PIC_SIZE_reserved0_SHIFT                   27

/* SCL_HD :: SRC_PIC_SIZE :: HSIZE [26:16] */
#define BCHP_SCL_HD_SRC_PIC_SIZE_HSIZE_MASK                        0x07ff0000
#define BCHP_SCL_HD_SRC_PIC_SIZE_HSIZE_SHIFT                       16

/* SCL_HD :: SRC_PIC_SIZE :: reserved1 [15:11] */
#define BCHP_SCL_HD_SRC_PIC_SIZE_reserved1_MASK                    0x0000f800
#define BCHP_SCL_HD_SRC_PIC_SIZE_reserved1_SHIFT                   11

/* SCL_HD :: SRC_PIC_SIZE :: VSIZE [10:00] */
#define BCHP_SCL_HD_SRC_PIC_SIZE_VSIZE_MASK                        0x000007ff
#define BCHP_SCL_HD_SRC_PIC_SIZE_VSIZE_SHIFT                       0

/***************************************************************************
 *DEST_PIC_SIZE - Scaler Destination Picture Size Information
 ***************************************************************************/
/* SCL_HD :: DEST_PIC_SIZE :: reserved0 [31:27] */
#define BCHP_SCL_HD_DEST_PIC_SIZE_reserved0_MASK                   0xf8000000
#define BCHP_SCL_HD_DEST_PIC_SIZE_reserved0_SHIFT                  27

/* SCL_HD :: DEST_PIC_SIZE :: HSIZE [26:16] */
#define BCHP_SCL_HD_DEST_PIC_SIZE_HSIZE_MASK                       0x07ff0000
#define BCHP_SCL_HD_DEST_PIC_SIZE_HSIZE_SHIFT                      16

/* SCL_HD :: DEST_PIC_SIZE :: reserved1 [15:11] */
#define BCHP_SCL_HD_DEST_PIC_SIZE_reserved1_MASK                   0x0000f800
#define BCHP_SCL_HD_DEST_PIC_SIZE_reserved1_SHIFT                  11

/* SCL_HD :: DEST_PIC_SIZE :: VSIZE [10:00] */
#define BCHP_SCL_HD_DEST_PIC_SIZE_VSIZE_MASK                       0x000007ff
#define BCHP_SCL_HD_DEST_PIC_SIZE_VSIZE_SHIFT                      0

/***************************************************************************
 *SRC_PIC_VERT_PAN_SCAN - Scaler Source Picture Vertical Pan/Scan Information
 ***************************************************************************/
/* SCL_HD :: SRC_PIC_VERT_PAN_SCAN :: reserved0 [31:22] */
#define BCHP_SCL_HD_SRC_PIC_VERT_PAN_SCAN_reserved0_MASK           0xffc00000
#define BCHP_SCL_HD_SRC_PIC_VERT_PAN_SCAN_reserved0_SHIFT          22

/* SCL_HD :: SRC_PIC_VERT_PAN_SCAN :: OFFSET [21:16] */
#define BCHP_SCL_HD_SRC_PIC_VERT_PAN_SCAN_OFFSET_MASK              0x003f0000
#define BCHP_SCL_HD_SRC_PIC_VERT_PAN_SCAN_OFFSET_SHIFT             16

/* SCL_HD :: SRC_PIC_VERT_PAN_SCAN :: reserved1 [15:00] */
#define BCHP_SCL_HD_SRC_PIC_VERT_PAN_SCAN_reserved1_MASK           0x0000ffff
#define BCHP_SCL_HD_SRC_PIC_VERT_PAN_SCAN_reserved1_SHIFT          0

/***************************************************************************
 *VERT_FIR_SRC_PIC_OFFSET - Vertical 8 Taps Poly-Phase Filter Source Picture Offset
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_SRC_PIC_OFFSET :: VALUE [31:03] */
#define BCHP_SCL_HD_VERT_FIR_SRC_PIC_OFFSET_VALUE_MASK             0xfffffff8
#define BCHP_SCL_HD_VERT_FIR_SRC_PIC_OFFSET_VALUE_SHIFT            3

/* SCL_HD :: VERT_FIR_SRC_PIC_OFFSET :: reserved0 [02:00] */
#define BCHP_SCL_HD_VERT_FIR_SRC_PIC_OFFSET_reserved0_MASK         0x00000007
#define BCHP_SCL_HD_VERT_FIR_SRC_PIC_OFFSET_reserved0_SHIFT        0

/***************************************************************************
 *VERT_FIR_SRC_PIC_STEP - Vertical 8 Taps Poly-Phase Filter Source Picture Stepping Size
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_SRC_PIC_STEP :: reserved0 [31:26] */
#define BCHP_SCL_HD_VERT_FIR_SRC_PIC_STEP_reserved0_MASK           0xfc000000
#define BCHP_SCL_HD_VERT_FIR_SRC_PIC_STEP_reserved0_SHIFT          26

/* SCL_HD :: VERT_FIR_SRC_PIC_STEP :: SIZE [25:03] */
#define BCHP_SCL_HD_VERT_FIR_SRC_PIC_STEP_SIZE_MASK                0x03fffff8
#define BCHP_SCL_HD_VERT_FIR_SRC_PIC_STEP_SIZE_SHIFT               3

/* SCL_HD :: VERT_FIR_SRC_PIC_STEP :: reserved1 [02:00] */
#define BCHP_SCL_HD_VERT_FIR_SRC_PIC_STEP_reserved1_MASK           0x00000007
#define BCHP_SCL_HD_VERT_FIR_SRC_PIC_STEP_reserved1_SHIFT          0

/***************************************************************************
 *SRC_PIC_HORIZ_PAN_SCAN - Scaler Source Picture Horizontal Pan/Scan Information
 ***************************************************************************/
/* SCL_HD :: SRC_PIC_HORIZ_PAN_SCAN :: reserved0 [31:21] */
#define BCHP_SCL_HD_SRC_PIC_HORIZ_PAN_SCAN_reserved0_MASK          0xffe00000
#define BCHP_SCL_HD_SRC_PIC_HORIZ_PAN_SCAN_reserved0_SHIFT         21

/* SCL_HD :: SRC_PIC_HORIZ_PAN_SCAN :: OFFSET [20:14] */
#define BCHP_SCL_HD_SRC_PIC_HORIZ_PAN_SCAN_OFFSET_MASK             0x001fc000
#define BCHP_SCL_HD_SRC_PIC_HORIZ_PAN_SCAN_OFFSET_SHIFT            14

/* SCL_HD :: SRC_PIC_HORIZ_PAN_SCAN :: reserved1 [13:00] */
#define BCHP_SCL_HD_SRC_PIC_HORIZ_PAN_SCAN_reserved1_MASK          0x00003fff
#define BCHP_SCL_HD_SRC_PIC_HORIZ_PAN_SCAN_reserved1_SHIFT         0

/***************************************************************************
 *HORIZ_FIR_LUMA_SRC_PIC_OFFSET - Horizontal 16 Taps Poly-Phase Filter Source Picture Luma Offset
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_LUMA_SRC_PIC_OFFSET :: VALUE [31:14] */
#define BCHP_SCL_HD_HORIZ_FIR_LUMA_SRC_PIC_OFFSET_VALUE_MASK       0xffffc000
#define BCHP_SCL_HD_HORIZ_FIR_LUMA_SRC_PIC_OFFSET_VALUE_SHIFT      14

/* SCL_HD :: HORIZ_FIR_LUMA_SRC_PIC_OFFSET :: reserved0 [13:00] */
#define BCHP_SCL_HD_HORIZ_FIR_LUMA_SRC_PIC_OFFSET_reserved0_MASK   0x00003fff
#define BCHP_SCL_HD_HORIZ_FIR_LUMA_SRC_PIC_OFFSET_reserved0_SHIFT  0

/***************************************************************************
 *HORIZ_FIR_CHROMA_SRC_PIC_OFFSET - Horizontal 16 Taps Poly-Phase Filter Source Picture Chroma Offset
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_SRC_PIC_OFFSET :: VALUE [31:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_SRC_PIC_OFFSET_VALUE_MASK     0xffffc000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_SRC_PIC_OFFSET_VALUE_SHIFT    14

/* SCL_HD :: HORIZ_FIR_CHROMA_SRC_PIC_OFFSET :: reserved0 [13:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_SRC_PIC_OFFSET_reserved0_MASK 0x00003fff
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_SRC_PIC_OFFSET_reserved0_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_INIT_PHASE_ACC - Horizontal 16 Taps Poly-Phase Filter Initial Phase Accumulate Value
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_INIT_PHASE_ACC :: SIZE [31:00] */
#define BCHP_SCL_HD_HORIZ_FIR_INIT_PHASE_ACC_SIZE_MASK             0xffffffff
#define BCHP_SCL_HD_HORIZ_FIR_INIT_PHASE_ACC_SIZE_SHIFT            0

/***************************************************************************
 *HORIZ_FIR_INIT_STEP - Horizontal Poly-Phase Filter Initial Stepping Size for Region 0
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_INIT_STEP :: reserved0 [31:31] */
#define BCHP_SCL_HD_HORIZ_FIR_INIT_STEP_reserved0_MASK             0x80000000
#define BCHP_SCL_HD_HORIZ_FIR_INIT_STEP_reserved0_SHIFT            31

/* SCL_HD :: HORIZ_FIR_INIT_STEP :: SIZE [30:00] */
#define BCHP_SCL_HD_HORIZ_FIR_INIT_STEP_SIZE_MASK                  0x7fffffff
#define BCHP_SCL_HD_HORIZ_FIR_INIT_STEP_SIZE_SHIFT                 0

/***************************************************************************
 *HORIZ_FIR_DEST_PIC_REGION_0_STEP_DELTA - Horizontal Poly-Phase Filter Picture Delta Increment for Region 0 Stepping Size
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_DEST_PIC_REGION_0_STEP_DELTA :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_DEST_PIC_REGION_0_STEP_DELTA_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_DEST_PIC_REGION_0_STEP_DELTA_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_DEST_PIC_REGION_0_STEP_DELTA :: SIZE [29:02] */
#define BCHP_SCL_HD_HORIZ_FIR_DEST_PIC_REGION_0_STEP_DELTA_SIZE_MASK 0x3ffffffc
#define BCHP_SCL_HD_HORIZ_FIR_DEST_PIC_REGION_0_STEP_DELTA_SIZE_SHIFT 2

/* SCL_HD :: HORIZ_FIR_DEST_PIC_REGION_0_STEP_DELTA :: reserved1 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_DEST_PIC_REGION_0_STEP_DELTA_reserved1_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_DEST_PIC_REGION_0_STEP_DELTA_reserved1_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_DEST_PIC_REGION_2_STEP_DELTA - Horizontal Poly-Phase Filter Picture Delta Increment for Region 2 Stepping Size
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_DEST_PIC_REGION_2_STEP_DELTA :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_DEST_PIC_REGION_2_STEP_DELTA_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_DEST_PIC_REGION_2_STEP_DELTA_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_DEST_PIC_REGION_2_STEP_DELTA :: SIZE [29:02] */
#define BCHP_SCL_HD_HORIZ_FIR_DEST_PIC_REGION_2_STEP_DELTA_SIZE_MASK 0x3ffffffc
#define BCHP_SCL_HD_HORIZ_FIR_DEST_PIC_REGION_2_STEP_DELTA_SIZE_SHIFT 2

/* SCL_HD :: HORIZ_FIR_DEST_PIC_REGION_2_STEP_DELTA :: reserved1 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_DEST_PIC_REGION_2_STEP_DELTA_reserved1_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_DEST_PIC_REGION_2_STEP_DELTA_reserved1_SHIFT 0

/***************************************************************************
 *HORIZ_DEST_PIC_REGION_0_END - Horizontal Poly-Phase Filter Destination Region 0 Ending Position
 ***************************************************************************/
/* SCL_HD :: HORIZ_DEST_PIC_REGION_0_END :: reserved0 [31:27] */
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_0_END_reserved0_MASK     0xf8000000
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_0_END_reserved0_SHIFT    27

/* SCL_HD :: HORIZ_DEST_PIC_REGION_0_END :: POSITION [26:16] */
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_0_END_POSITION_MASK      0x07ff0000
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_0_END_POSITION_SHIFT     16

/* SCL_HD :: HORIZ_DEST_PIC_REGION_0_END :: reserved1 [15:00] */
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_0_END_reserved1_MASK     0x0000ffff
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_0_END_reserved1_SHIFT    0

/***************************************************************************
 *HORIZ_DEST_PIC_REGION_1_END - Horizontal Poly-Phase Filter Destination Region 1 Ending Position
 ***************************************************************************/
/* SCL_HD :: HORIZ_DEST_PIC_REGION_1_END :: reserved0 [31:27] */
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_1_END_reserved0_MASK     0xf8000000
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_1_END_reserved0_SHIFT    27

/* SCL_HD :: HORIZ_DEST_PIC_REGION_1_END :: POSITION [26:16] */
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_1_END_POSITION_MASK      0x07ff0000
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_1_END_POSITION_SHIFT     16

/* SCL_HD :: HORIZ_DEST_PIC_REGION_1_END :: reserved1 [15:00] */
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_1_END_reserved1_MASK     0x0000ffff
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_1_END_reserved1_SHIFT    0

/***************************************************************************
 *HORIZ_DEST_PIC_REGION_2_END - Horizontal Poly-Phase Filter Destination Region 2 Ending Position
 ***************************************************************************/
/* SCL_HD :: HORIZ_DEST_PIC_REGION_2_END :: reserved0 [31:27] */
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_2_END_reserved0_MASK     0xf8000000
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_2_END_reserved0_SHIFT    27

/* SCL_HD :: HORIZ_DEST_PIC_REGION_2_END :: POSITION [26:16] */
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_2_END_POSITION_MASK      0x07ff0000
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_2_END_POSITION_SHIFT     16

/* SCL_HD :: HORIZ_DEST_PIC_REGION_2_END :: reserved1 [15:00] */
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_2_END_reserved1_MASK     0x0000ffff
#define BCHP_SCL_HD_HORIZ_DEST_PIC_REGION_2_END_reserved1_SHIFT    0

/***************************************************************************
 *ENABLE - Video Scaler Enable
 ***************************************************************************/
/* SCL_HD :: ENABLE :: reserved0 [31:01] */
#define BCHP_SCL_HD_ENABLE_reserved0_MASK                          0xfffffffe
#define BCHP_SCL_HD_ENABLE_reserved0_SHIFT                         1

/* SCL_HD :: ENABLE :: SCALER_ENABLE [00:00] */
#define BCHP_SCL_HD_ENABLE_SCALER_ENABLE_MASK                      0x00000001
#define BCHP_SCL_HD_ENABLE_SCALER_ENABLE_SHIFT                     0
#define BCHP_SCL_HD_ENABLE_SCALER_ENABLE_OFF                       0
#define BCHP_SCL_HD_ENABLE_SCALER_ENABLE_ON                        1

/***************************************************************************
 *TEST_PORT_CONTROL - Testportl control register
 ***************************************************************************/
/* SCL_HD :: TEST_PORT_CONTROL :: reserved0 [31:02] */
#define BCHP_SCL_HD_TEST_PORT_CONTROL_reserved0_MASK               0xfffffffc
#define BCHP_SCL_HD_TEST_PORT_CONTROL_reserved0_SHIFT              2

/* SCL_HD :: TEST_PORT_CONTROL :: TP_ADDR [01:00] */
#define BCHP_SCL_HD_TEST_PORT_CONTROL_TP_ADDR_MASK                 0x00000003
#define BCHP_SCL_HD_TEST_PORT_CONTROL_TP_ADDR_SHIFT                0
#define BCHP_SCL_HD_TEST_PORT_CONTROL_TP_ADDR_SCL_0                0
#define BCHP_SCL_HD_TEST_PORT_CONTROL_TP_ADDR_SCL_1                1
#define BCHP_SCL_HD_TEST_PORT_CONTROL_TP_ADDR_SCL_2                2
#define BCHP_SCL_HD_TEST_PORT_CONTROL_TP_ADDR_SCL_3                3

/***************************************************************************
 *TEST_PORT_DATA - Testport data register
 ***************************************************************************/
/* union - case SCL_0 [31:00] */
/* SCL_HD :: TEST_PORT_DATA :: SCL_0 :: PPF_DBG [31:10] */
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_0_PPF_DBG_MASK              0xfffffc00
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_0_PPF_DBG_SHIFT             10

/* SCL_HD :: TEST_PORT_DATA :: SCL_0 :: HWF_DBG [09:00] */
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_0_HWF_DBG_MASK              0x000003ff
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_0_HWF_DBG_SHIFT             0

/* union - case SCL_1 [31:00] */
/* SCL_HD :: TEST_PORT_DATA :: SCL_1 :: RE_ORDER_LINE_ADDR [31:20] */
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_1_RE_ORDER_LINE_ADDR_MASK   0xfff00000
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_1_RE_ORDER_LINE_ADDR_SHIFT  20

/* SCL_HD :: TEST_PORT_DATA :: SCL_1 :: LB_RD_STATUS [19:12] */
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_1_LB_RD_STATUS_MASK         0x000ff000
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_1_LB_RD_STATUS_SHIFT        12

/* SCL_HD :: TEST_PORT_DATA :: SCL_1 :: LB_RD_LINE_ADDR [11:00] */
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_1_LB_RD_LINE_ADDR_MASK      0x00000fff
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_1_LB_RD_LINE_ADDR_SHIFT     0

/* union - case SCL_2 [31:00] */
/* SCL_HD :: TEST_PORT_DATA :: SCL_2 :: IB_WR_STATUS_1 [31:27] */
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_2_IB_WR_STATUS_1_MASK       0xf8000000
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_2_IB_WR_STATUS_1_SHIFT      27

/* SCL_HD :: TEST_PORT_DATA :: SCL_2 :: IB_WR_LINE_ADDR [26:16] */
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_2_IB_WR_LINE_ADDR_MASK      0x07ff0000
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_2_IB_WR_LINE_ADDR_SHIFT     16

/* SCL_HD :: TEST_PORT_DATA :: SCL_2 :: IB_WR_STATUS_0 [15:12] */
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_2_IB_WR_STATUS_0_MASK       0x0000f000
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_2_IB_WR_STATUS_0_SHIFT      12

/* SCL_HD :: TEST_PORT_DATA :: SCL_2 :: IB_RD_LINE_ADDR [11:00] */
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_2_IB_RD_LINE_ADDR_MASK      0x00000fff
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_2_IB_RD_LINE_ADDR_SHIFT     0

/* union - case SCL_3 [31:00] */
/* SCL_HD :: TEST_PORT_DATA :: SCL_3 :: HSCL_BVB_IN_STATUS [31:26] */
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_3_HSCL_BVB_IN_STATUS_MASK   0xfc000000
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_3_HSCL_BVB_IN_STATUS_SHIFT  26

/* SCL_HD :: TEST_PORT_DATA :: SCL_3 :: VSCL_BVB_IN_STATUS [25:20] */
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_3_VSCL_BVB_IN_STATUS_MASK   0x03f00000
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_3_VSCL_BVB_IN_STATUS_SHIFT  20

/* SCL_HD :: TEST_PORT_DATA :: SCL_3 :: TOP_CTRL_STATUS [19:17] */
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_3_TOP_CTRL_STATUS_MASK      0x000e0000
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_3_TOP_CTRL_STATUS_SHIFT     17

/* SCL_HD :: TEST_PORT_DATA :: SCL_3 :: OB_RD_STATUS [16:15] */
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_3_OB_RD_STATUS_MASK         0x00018000
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_3_OB_RD_STATUS_SHIFT        15

/* SCL_HD :: TEST_PORT_DATA :: SCL_3 :: TIME_CTRL_STATUS [14:12] */
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_3_TIME_CTRL_STATUS_MASK     0x00007000
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_3_TIME_CTRL_STATUS_SHIFT    12

/* SCL_HD :: TEST_PORT_DATA :: SCL_3 :: FIR_LINE_ADDR [11:00] */
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_3_FIR_LINE_ADDR_MASK        0x00000fff
#define BCHP_SCL_HD_TEST_PORT_DATA_SCL_3_FIR_LINE_ADDR_SHIFT       0

/***************************************************************************
 *SCRATCH_0 - Scaler Scratch register 0
 ***************************************************************************/
/* SCL_HD :: SCRATCH_0 :: VALUE [31:00] */
#define BCHP_SCL_HD_SCRATCH_0_VALUE_MASK                           0xffffffff
#define BCHP_SCL_HD_SCRATCH_0_VALUE_SHIFT                          0

/***************************************************************************
 *SCRATCH_1 - Scaler Scratch register 1
 ***************************************************************************/
/* SCL_HD :: SCRATCH_1 :: VALUE [31:00] */
#define BCHP_SCL_HD_SCRATCH_1_VALUE_MASK                           0xffffffff
#define BCHP_SCL_HD_SCRATCH_1_VALUE_SHIFT                          0

/***************************************************************************
 *BVB_IN_STATUS_CLEAR - Scaler Broadcom Video Bus Input Status Clear
 ***************************************************************************/
/* SCL_HD :: BVB_IN_STATUS_CLEAR :: reserved0 [31:08] */
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_reserved0_MASK             0xffffff00
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_reserved0_SHIFT            8

/* SCL_HD :: BVB_IN_STATUS_CLEAR :: ENABLE_ERROR [07:07] */
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_ENABLE_ERROR_MASK          0x00000080
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_ENABLE_ERROR_SHIFT         7

/* SCL_HD :: BVB_IN_STATUS_CLEAR :: HSCL_LONG_LINE [06:06] */
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_HSCL_LONG_LINE_MASK        0x00000040
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_HSCL_LONG_LINE_SHIFT       6

/* SCL_HD :: BVB_IN_STATUS_CLEAR :: HSCL_SHORT_LINE [05:05] */
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_HSCL_SHORT_LINE_MASK       0x00000020
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_HSCL_SHORT_LINE_SHIFT      5

/* SCL_HD :: BVB_IN_STATUS_CLEAR :: MISSING_SYNC [04:04] */
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_MISSING_SYNC_MASK          0x00000010
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_MISSING_SYNC_SHIFT         4

/* SCL_HD :: BVB_IN_STATUS_CLEAR :: LONG_SOURCE [03:03] */
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_LONG_SOURCE_MASK           0x00000008
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_LONG_SOURCE_SHIFT          3

/* SCL_HD :: BVB_IN_STATUS_CLEAR :: SHORT_SOURCE [02:02] */
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_SHORT_SOURCE_MASK          0x00000004
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_SHORT_SOURCE_SHIFT         2

/* SCL_HD :: BVB_IN_STATUS_CLEAR :: LONG_LINE [01:01] */
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_LONG_LINE_MASK             0x00000002
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_LONG_LINE_SHIFT            1

/* SCL_HD :: BVB_IN_STATUS_CLEAR :: SHORT_LINE [00:00] */
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_SHORT_LINE_MASK            0x00000001
#define BCHP_SCL_HD_BVB_IN_STATUS_CLEAR_SHORT_LINE_SHIFT           0

/***************************************************************************
 *BVB_IN_STATUS - Scaler Broadcom Video Bus Input Status
 ***************************************************************************/
/* SCL_HD :: BVB_IN_STATUS :: reserved0 [31:08] */
#define BCHP_SCL_HD_BVB_IN_STATUS_reserved0_MASK                   0xffffff00
#define BCHP_SCL_HD_BVB_IN_STATUS_reserved0_SHIFT                  8

/* SCL_HD :: BVB_IN_STATUS :: ENABLE_ERROR [07:07] */
#define BCHP_SCL_HD_BVB_IN_STATUS_ENABLE_ERROR_MASK                0x00000080
#define BCHP_SCL_HD_BVB_IN_STATUS_ENABLE_ERROR_SHIFT               7

/* SCL_HD :: BVB_IN_STATUS :: HSCL_LONG_LINE [06:06] */
#define BCHP_SCL_HD_BVB_IN_STATUS_HSCL_LONG_LINE_MASK              0x00000040
#define BCHP_SCL_HD_BVB_IN_STATUS_HSCL_LONG_LINE_SHIFT             6

/* SCL_HD :: BVB_IN_STATUS :: HSCL_SHORT_LINE [05:05] */
#define BCHP_SCL_HD_BVB_IN_STATUS_HSCL_SHORT_LINE_MASK             0x00000020
#define BCHP_SCL_HD_BVB_IN_STATUS_HSCL_SHORT_LINE_SHIFT            5

/* SCL_HD :: BVB_IN_STATUS :: MISSING_SYNC [04:04] */
#define BCHP_SCL_HD_BVB_IN_STATUS_MISSING_SYNC_MASK                0x00000010
#define BCHP_SCL_HD_BVB_IN_STATUS_MISSING_SYNC_SHIFT               4

/* SCL_HD :: BVB_IN_STATUS :: LONG_SOURCE [03:03] */
#define BCHP_SCL_HD_BVB_IN_STATUS_LONG_SOURCE_MASK                 0x00000008
#define BCHP_SCL_HD_BVB_IN_STATUS_LONG_SOURCE_SHIFT                3

/* SCL_HD :: BVB_IN_STATUS :: SHORT_SOURCE [02:02] */
#define BCHP_SCL_HD_BVB_IN_STATUS_SHORT_SOURCE_MASK                0x00000004
#define BCHP_SCL_HD_BVB_IN_STATUS_SHORT_SOURCE_SHIFT               2

/* SCL_HD :: BVB_IN_STATUS :: LONG_LINE [01:01] */
#define BCHP_SCL_HD_BVB_IN_STATUS_LONG_LINE_MASK                   0x00000002
#define BCHP_SCL_HD_BVB_IN_STATUS_LONG_LINE_SHIFT                  1

/* SCL_HD :: BVB_IN_STATUS :: SHORT_LINE [00:00] */
#define BCHP_SCL_HD_BVB_IN_STATUS_SHORT_LINE_MASK                  0x00000001
#define BCHP_SCL_HD_BVB_IN_STATUS_SHORT_LINE_SHIFT                 0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE0_00_01 - Vertical Scaler Poly-Phase Filter Phase 0 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE0_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_00_01_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_00_01_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_00_01_COEFF_0_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_00_01_COEFF_0_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_00_01_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_00_01_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_00_01_COEFF_1_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_00_01_COEFF_1_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_00_01_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_00_01_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE0_02_03 - Vertical Scaler Poly-Phase Filter Phase 0 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE0_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_02_03_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_02_03_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_02_03_COEFF_2_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_02_03_COEFF_2_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_02_03_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_02_03_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_02_03_COEFF_3_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_02_03_COEFF_3_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_02_03_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_02_03_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE0_04_05 - Vertical Scaler Poly-Phase Filter Phase 0 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE0_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_04_05_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_04_05_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_04_05_COEFF_4_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_04_05_COEFF_4_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_04_05_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_04_05_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_04_05_COEFF_5_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_04_05_COEFF_5_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_04_05_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_04_05_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE0_06_07 - Vertical Scaler Poly-Phase Filter Phase 0 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE0_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_06_07_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_06_07_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_06_07_COEFF_6_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_06_07_COEFF_6_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_06_07_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_06_07_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_06_07_COEFF_7_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_06_07_COEFF_7_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE0_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_06_07_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE0_06_07_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE1_00_01 - Vertical Scaler Poly-Phase Filter Phase 1 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE1_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_00_01_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_00_01_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_00_01_COEFF_0_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_00_01_COEFF_0_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_00_01_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_00_01_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_00_01_COEFF_1_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_00_01_COEFF_1_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_00_01_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_00_01_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE1_02_03 - Vertical Scaler Poly-Phase Filter Phase 1 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE1_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_02_03_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_02_03_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_02_03_COEFF_2_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_02_03_COEFF_2_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_02_03_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_02_03_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_02_03_COEFF_3_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_02_03_COEFF_3_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_02_03_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_02_03_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE1_04_05 - Vertical Scaler Poly-Phase Filter Phase 1 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE1_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_04_05_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_04_05_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_04_05_COEFF_4_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_04_05_COEFF_4_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_04_05_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_04_05_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_04_05_COEFF_5_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_04_05_COEFF_5_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_04_05_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_04_05_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE1_06_07 - Vertical Scaler Poly-Phase Filter Phase 1 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE1_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_06_07_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_06_07_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_06_07_COEFF_6_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_06_07_COEFF_6_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_06_07_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_06_07_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_06_07_COEFF_7_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_06_07_COEFF_7_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE1_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_06_07_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE1_06_07_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE2_00_01 - Vertical Scaler Poly-Phase Filter Phase 2 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE2_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_00_01_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_00_01_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_00_01_COEFF_0_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_00_01_COEFF_0_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_00_01_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_00_01_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_00_01_COEFF_1_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_00_01_COEFF_1_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_00_01_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_00_01_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE2_02_03 - Vertical Scaler Poly-Phase Filter Phase 2 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE2_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_02_03_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_02_03_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_02_03_COEFF_2_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_02_03_COEFF_2_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_02_03_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_02_03_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_02_03_COEFF_3_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_02_03_COEFF_3_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_02_03_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_02_03_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE2_04_05 - Vertical Scaler Poly-Phase Filter Phase 2 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE2_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_04_05_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_04_05_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_04_05_COEFF_4_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_04_05_COEFF_4_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_04_05_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_04_05_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_04_05_COEFF_5_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_04_05_COEFF_5_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_04_05_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_04_05_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE2_06_07 - Vertical Scaler Poly-Phase Filter Phase 2 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE2_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_06_07_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_06_07_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_06_07_COEFF_6_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_06_07_COEFF_6_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_06_07_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_06_07_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_06_07_COEFF_7_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_06_07_COEFF_7_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE2_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_06_07_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE2_06_07_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE3_00_01 - Vertical Scaler Poly-Phase Filter Phase 3 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE3_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_00_01_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_00_01_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_00_01_COEFF_0_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_00_01_COEFF_0_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_00_01_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_00_01_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_00_01_COEFF_1_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_00_01_COEFF_1_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_00_01_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_00_01_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE3_02_03 - Vertical Scaler Poly-Phase Filter Phase 3 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE3_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_02_03_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_02_03_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_02_03_COEFF_2_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_02_03_COEFF_2_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_02_03_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_02_03_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_02_03_COEFF_3_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_02_03_COEFF_3_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_02_03_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_02_03_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE3_04_05 - Vertical Scaler Poly-Phase Filter Phase 3 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE3_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_04_05_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_04_05_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_04_05_COEFF_4_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_04_05_COEFF_4_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_04_05_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_04_05_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_04_05_COEFF_5_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_04_05_COEFF_5_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_04_05_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_04_05_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE3_06_07 - Vertical Scaler Poly-Phase Filter Phase 3 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE3_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_06_07_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_06_07_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_06_07_COEFF_6_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_06_07_COEFF_6_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_06_07_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_06_07_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_06_07_COEFF_7_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_06_07_COEFF_7_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE3_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_06_07_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE3_06_07_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE4_00_01 - Vertical Scaler Poly-Phase Filter Phase 4 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE4_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_00_01_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_00_01_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_00_01_COEFF_0_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_00_01_COEFF_0_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_00_01_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_00_01_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_00_01_COEFF_1_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_00_01_COEFF_1_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_00_01_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_00_01_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE4_02_03 - Vertical Scaler Poly-Phase Filter Phase 4 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE4_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_02_03_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_02_03_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_02_03_COEFF_2_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_02_03_COEFF_2_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_02_03_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_02_03_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_02_03_COEFF_3_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_02_03_COEFF_3_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_02_03_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_02_03_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE4_04_05 - Vertical Scaler Poly-Phase Filter Phase 4 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE4_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_04_05_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_04_05_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_04_05_COEFF_4_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_04_05_COEFF_4_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_04_05_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_04_05_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_04_05_COEFF_5_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_04_05_COEFF_5_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_04_05_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_04_05_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE4_06_07 - Vertical Scaler Poly-Phase Filter Phase 4 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE4_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_06_07_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_06_07_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_06_07_COEFF_6_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_06_07_COEFF_6_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_06_07_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_06_07_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_06_07_COEFF_7_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_06_07_COEFF_7_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE4_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_06_07_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE4_06_07_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE5_00_01 - Vertical Scaler Poly-Phase Filter Phase 5 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE5_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_00_01_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_00_01_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_00_01_COEFF_0_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_00_01_COEFF_0_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_00_01_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_00_01_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_00_01_COEFF_1_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_00_01_COEFF_1_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_00_01_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_00_01_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE5_02_03 - Vertical Scaler Poly-Phase Filter Phase 5 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE5_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_02_03_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_02_03_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_02_03_COEFF_2_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_02_03_COEFF_2_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_02_03_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_02_03_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_02_03_COEFF_3_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_02_03_COEFF_3_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_02_03_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_02_03_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE5_04_05 - Vertical Scaler Poly-Phase Filter Phase 5 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE5_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_04_05_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_04_05_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_04_05_COEFF_4_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_04_05_COEFF_4_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_04_05_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_04_05_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_04_05_COEFF_5_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_04_05_COEFF_5_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_04_05_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_04_05_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE5_06_07 - Vertical Scaler Poly-Phase Filter Phase 5 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE5_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_06_07_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_06_07_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_06_07_COEFF_6_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_06_07_COEFF_6_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_06_07_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_06_07_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_06_07_COEFF_7_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_06_07_COEFF_7_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE5_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_06_07_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE5_06_07_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE6_00_01 - Vertical Scaler Poly-Phase Filter Phase 6 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE6_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_00_01_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_00_01_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_00_01_COEFF_0_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_00_01_COEFF_0_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_00_01_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_00_01_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_00_01_COEFF_1_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_00_01_COEFF_1_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_00_01_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_00_01_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE6_02_03 - Vertical Scaler Poly-Phase Filter Phase 6 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE6_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_02_03_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_02_03_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_02_03_COEFF_2_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_02_03_COEFF_2_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_02_03_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_02_03_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_02_03_COEFF_3_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_02_03_COEFF_3_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_02_03_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_02_03_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE6_04_05 - Vertical Scaler Poly-Phase Filter Phase 6 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE6_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_04_05_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_04_05_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_04_05_COEFF_4_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_04_05_COEFF_4_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_04_05_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_04_05_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_04_05_COEFF_5_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_04_05_COEFF_5_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_04_05_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_04_05_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE6_06_07 - Vertical Scaler Poly-Phase Filter Phase 6 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE6_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_06_07_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_06_07_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_06_07_COEFF_6_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_06_07_COEFF_6_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_06_07_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_06_07_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_06_07_COEFF_7_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_06_07_COEFF_7_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE6_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_06_07_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE6_06_07_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE7_00_01 - Vertical Scaler Poly-Phase Filter Phase 7 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE7_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_00_01_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_00_01_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_00_01_COEFF_0_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_00_01_COEFF_0_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_00_01_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_00_01_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_00_01_COEFF_1_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_00_01_COEFF_1_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_00_01_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_00_01_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE7_02_03 - Vertical Scaler Poly-Phase Filter Phase 7 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE7_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_02_03_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_02_03_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_02_03_COEFF_2_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_02_03_COEFF_2_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_02_03_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_02_03_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_02_03_COEFF_3_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_02_03_COEFF_3_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_02_03_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_02_03_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE7_04_05 - Vertical Scaler Poly-Phase Filter Phase 7 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE7_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_04_05_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_04_05_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_04_05_COEFF_4_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_04_05_COEFF_4_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_04_05_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_04_05_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_04_05_COEFF_5_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_04_05_COEFF_5_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_04_05_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_04_05_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_COEFF_PHASE7_06_07 - Vertical Scaler Poly-Phase Filter Phase 7 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_COEFF_PHASE7_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_06_07_reserved0_MASK     0xc0000000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_06_07_reserved0_SHIFT    30

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_06_07_COEFF_6_MASK       0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_06_07_COEFF_6_SHIFT      18

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_06_07_reserved1_MASK     0x0003c000
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_06_07_reserved1_SHIFT    14

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_06_07_COEFF_7_MASK       0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_06_07_COEFF_7_SHIFT      2

/* SCL_HD :: VERT_FIR_COEFF_PHASE7_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_06_07_reserved2_MASK     0x00000003
#define BCHP_SCL_HD_VERT_FIR_COEFF_PHASE7_06_07_reserved2_SHIFT    0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE0_00_01 - Vertical Scaler Poly-Phase Filter Phase 0 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_00_01_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_00_01_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_00_01_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE0_02_03 - Vertical Scaler Poly-Phase Filter Phase 0 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_02_03_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_02_03_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_02_03_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE0_04_05 - Vertical Scaler Poly-Phase Filter Phase 0 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_04_05_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_04_05_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_04_05_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE0_06_07 - Vertical Scaler Poly-Phase Filter Phase 0 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_06_07_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_06_07_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE0_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE0_06_07_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE1_00_01 - Vertical Scaler Poly-Phase Filter Phase 1 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_00_01_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_00_01_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_00_01_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE1_02_03 - Vertical Scaler Poly-Phase Filter Phase 1 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_02_03_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_02_03_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_02_03_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE1_04_05 - Vertical Scaler Poly-Phase Filter Phase 1 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_04_05_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_04_05_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_04_05_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE1_06_07 - Vertical Scaler Poly-Phase Filter Phase 1 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_06_07_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_06_07_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE1_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE1_06_07_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE2_00_01 - Vertical Scaler Poly-Phase Filter Phase 2 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_00_01_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_00_01_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_00_01_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE2_02_03 - Vertical Scaler Poly-Phase Filter Phase 2 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_02_03_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_02_03_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_02_03_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE2_04_05 - Vertical Scaler Poly-Phase Filter Phase 2 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_04_05_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_04_05_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_04_05_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE2_06_07 - Vertical Scaler Poly-Phase Filter Phase 2 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_06_07_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_06_07_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE2_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE2_06_07_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE3_00_01 - Vertical Scaler Poly-Phase Filter Phase 3 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_00_01_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_00_01_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_00_01_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE3_02_03 - Vertical Scaler Poly-Phase Filter Phase 3 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_02_03_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_02_03_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_02_03_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE3_04_05 - Vertical Scaler Poly-Phase Filter Phase 3 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_04_05_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_04_05_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_04_05_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE3_06_07 - Vertical Scaler Poly-Phase Filter Phase 3 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_06_07_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_06_07_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE3_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE3_06_07_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE4_00_01 - Vertical Scaler Poly-Phase Filter Phase 4 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_00_01_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_00_01_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_00_01_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE4_02_03 - Vertical Scaler Poly-Phase Filter Phase 4 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_02_03_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_02_03_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_02_03_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE4_04_05 - Vertical Scaler Poly-Phase Filter Phase 4 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_04_05_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_04_05_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_04_05_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE4_06_07 - Vertical Scaler Poly-Phase Filter Phase 4 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_06_07_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_06_07_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE4_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE4_06_07_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE5_00_01 - Vertical Scaler Poly-Phase Filter Phase 5 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_00_01_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_00_01_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_00_01_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE5_02_03 - Vertical Scaler Poly-Phase Filter Phase 5 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_02_03_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_02_03_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_02_03_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE5_04_05 - Vertical Scaler Poly-Phase Filter Phase 5 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_04_05_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_04_05_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_04_05_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE5_06_07 - Vertical Scaler Poly-Phase Filter Phase 5 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_06_07_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_06_07_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE5_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE5_06_07_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE6_00_01 - Vertical Scaler Poly-Phase Filter Phase 6 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_00_01_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_00_01_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_00_01_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE6_02_03 - Vertical Scaler Poly-Phase Filter Phase 6 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_02_03_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_02_03_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_02_03_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE6_04_05 - Vertical Scaler Poly-Phase Filter Phase 6 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_04_05_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_04_05_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_04_05_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE6_06_07 - Vertical Scaler Poly-Phase Filter Phase 6 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_06_07_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_06_07_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE6_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE6_06_07_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE7_00_01 - Vertical Scaler Poly-Phase Filter Phase 7 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_00_01_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_00_01_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_00_01_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE7_02_03 - Vertical Scaler Poly-Phase Filter Phase 7 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_02_03_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_02_03_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_02_03_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE7_04_05 - Vertical Scaler Poly-Phase Filter Phase 7 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_04_05_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_04_05_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_04_05_reserved2_SHIFT 0

/***************************************************************************
 *VERT_FIR_CHROMA_COEFF_PHASE7_06_07 - Vertical Scaler Poly-Phase Filter Phase 7 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_06_07_reserved0_SHIFT 30

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_06_07_reserved1_SHIFT 14

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: VERT_FIR_CHROMA_COEFF_PHASE7_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_VERT_FIR_CHROMA_COEFF_PHASE7_06_07_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE0_00_01 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_00_01_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_00_01_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_00_01_COEFF_0_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_00_01_COEFF_0_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_00_01_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_00_01_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_00_01_COEFF_1_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_00_01_COEFF_1_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_00_01_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_00_01_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE0_02_03 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_02_03_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_02_03_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_02_03_COEFF_2_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_02_03_COEFF_2_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_02_03_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_02_03_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_02_03_COEFF_3_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_02_03_COEFF_3_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_02_03_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_02_03_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE0_04_05 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_04_05_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_04_05_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_04_05_COEFF_4_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_04_05_COEFF_4_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_04_05_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_04_05_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_04_05_COEFF_5_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_04_05_COEFF_5_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_04_05_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_04_05_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE0_06_07 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_06_07_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_06_07_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_06_07_COEFF_6_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_06_07_COEFF_6_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_06_07_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_06_07_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_06_07_COEFF_7_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_06_07_COEFF_7_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_06_07_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_06_07_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE0_08_09 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 8 and 9 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_08_09_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_08_09_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_08_09_COEFF_8_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_08_09_COEFF_8_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_08_09_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_08_09_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_08_09_COEFF_9_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_08_09_COEFF_9_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_08_09_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_08_09_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE0_10_11 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 10 and 11 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_10_11_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_10_11_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_10_11_COEFF_10_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_10_11_COEFF_10_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_10_11_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_10_11_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_10_11_COEFF_11_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_10_11_COEFF_11_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_10_11_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_10_11_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE0_12_13 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 12 and 13 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_12_13_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_12_13_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_12_13_COEFF_12_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_12_13_COEFF_12_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_12_13_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_12_13_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_12_13_COEFF_13_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_12_13_COEFF_13_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_12_13_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_12_13_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE0_14_15 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 14 and 15 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_14_15_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_14_15_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_14_15_COEFF_14_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_14_15_COEFF_14_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_14_15_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_14_15_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_14_15_COEFF_15_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_14_15_COEFF_15_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE0_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_14_15_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE0_14_15_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE1_00_01 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_00_01_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_00_01_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_00_01_COEFF_0_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_00_01_COEFF_0_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_00_01_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_00_01_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_00_01_COEFF_1_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_00_01_COEFF_1_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_00_01_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_00_01_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE1_02_03 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_02_03_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_02_03_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_02_03_COEFF_2_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_02_03_COEFF_2_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_02_03_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_02_03_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_02_03_COEFF_3_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_02_03_COEFF_3_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_02_03_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_02_03_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE1_04_05 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_04_05_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_04_05_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_04_05_COEFF_4_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_04_05_COEFF_4_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_04_05_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_04_05_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_04_05_COEFF_5_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_04_05_COEFF_5_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_04_05_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_04_05_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE1_06_07 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_06_07_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_06_07_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_06_07_COEFF_6_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_06_07_COEFF_6_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_06_07_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_06_07_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_06_07_COEFF_7_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_06_07_COEFF_7_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_06_07_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_06_07_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE1_08_09 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 8 and 9 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_08_09_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_08_09_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_08_09_COEFF_8_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_08_09_COEFF_8_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_08_09_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_08_09_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_08_09_COEFF_9_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_08_09_COEFF_9_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_08_09_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_08_09_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE1_10_11 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 10 and 11 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_10_11_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_10_11_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_10_11_COEFF_10_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_10_11_COEFF_10_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_10_11_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_10_11_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_10_11_COEFF_11_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_10_11_COEFF_11_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_10_11_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_10_11_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE1_12_13 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 12 and 13 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_12_13_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_12_13_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_12_13_COEFF_12_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_12_13_COEFF_12_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_12_13_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_12_13_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_12_13_COEFF_13_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_12_13_COEFF_13_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_12_13_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_12_13_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE1_14_15 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 14 and 15 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_14_15_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_14_15_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_14_15_COEFF_14_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_14_15_COEFF_14_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_14_15_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_14_15_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_14_15_COEFF_15_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_14_15_COEFF_15_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE1_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_14_15_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE1_14_15_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE2_00_01 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_00_01_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_00_01_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_00_01_COEFF_0_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_00_01_COEFF_0_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_00_01_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_00_01_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_00_01_COEFF_1_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_00_01_COEFF_1_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_00_01_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_00_01_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE2_02_03 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_02_03_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_02_03_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_02_03_COEFF_2_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_02_03_COEFF_2_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_02_03_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_02_03_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_02_03_COEFF_3_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_02_03_COEFF_3_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_02_03_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_02_03_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE2_04_05 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_04_05_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_04_05_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_04_05_COEFF_4_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_04_05_COEFF_4_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_04_05_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_04_05_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_04_05_COEFF_5_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_04_05_COEFF_5_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_04_05_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_04_05_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE2_06_07 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_06_07_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_06_07_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_06_07_COEFF_6_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_06_07_COEFF_6_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_06_07_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_06_07_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_06_07_COEFF_7_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_06_07_COEFF_7_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_06_07_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_06_07_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE2_08_09 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 8 and 9 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_08_09_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_08_09_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_08_09_COEFF_8_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_08_09_COEFF_8_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_08_09_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_08_09_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_08_09_COEFF_9_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_08_09_COEFF_9_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_08_09_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_08_09_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE2_10_11 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 10 and 11 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_10_11_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_10_11_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_10_11_COEFF_10_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_10_11_COEFF_10_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_10_11_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_10_11_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_10_11_COEFF_11_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_10_11_COEFF_11_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_10_11_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_10_11_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE2_12_13 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 12 and 13 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_12_13_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_12_13_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_12_13_COEFF_12_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_12_13_COEFF_12_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_12_13_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_12_13_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_12_13_COEFF_13_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_12_13_COEFF_13_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_12_13_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_12_13_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE2_14_15 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 14 and 15 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_14_15_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_14_15_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_14_15_COEFF_14_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_14_15_COEFF_14_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_14_15_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_14_15_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_14_15_COEFF_15_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_14_15_COEFF_15_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE2_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_14_15_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE2_14_15_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE3_00_01 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_00_01_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_00_01_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_00_01_COEFF_0_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_00_01_COEFF_0_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_00_01_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_00_01_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_00_01_COEFF_1_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_00_01_COEFF_1_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_00_01_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_00_01_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE3_02_03 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_02_03_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_02_03_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_02_03_COEFF_2_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_02_03_COEFF_2_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_02_03_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_02_03_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_02_03_COEFF_3_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_02_03_COEFF_3_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_02_03_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_02_03_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE3_04_05 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_04_05_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_04_05_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_04_05_COEFF_4_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_04_05_COEFF_4_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_04_05_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_04_05_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_04_05_COEFF_5_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_04_05_COEFF_5_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_04_05_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_04_05_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE3_06_07 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_06_07_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_06_07_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_06_07_COEFF_6_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_06_07_COEFF_6_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_06_07_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_06_07_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_06_07_COEFF_7_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_06_07_COEFF_7_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_06_07_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_06_07_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE3_08_09 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 8 and 9 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_08_09_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_08_09_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_08_09_COEFF_8_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_08_09_COEFF_8_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_08_09_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_08_09_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_08_09_COEFF_9_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_08_09_COEFF_9_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_08_09_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_08_09_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE3_10_11 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 10 and 11 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_10_11_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_10_11_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_10_11_COEFF_10_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_10_11_COEFF_10_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_10_11_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_10_11_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_10_11_COEFF_11_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_10_11_COEFF_11_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_10_11_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_10_11_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE3_12_13 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 12 and 13 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_12_13_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_12_13_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_12_13_COEFF_12_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_12_13_COEFF_12_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_12_13_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_12_13_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_12_13_COEFF_13_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_12_13_COEFF_13_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_12_13_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_12_13_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE3_14_15 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 14 and 15 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_14_15_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_14_15_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_14_15_COEFF_14_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_14_15_COEFF_14_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_14_15_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_14_15_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_14_15_COEFF_15_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_14_15_COEFF_15_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE3_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_14_15_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE3_14_15_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE4_00_01 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_00_01_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_00_01_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_00_01_COEFF_0_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_00_01_COEFF_0_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_00_01_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_00_01_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_00_01_COEFF_1_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_00_01_COEFF_1_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_00_01_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_00_01_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE4_02_03 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_02_03_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_02_03_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_02_03_COEFF_2_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_02_03_COEFF_2_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_02_03_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_02_03_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_02_03_COEFF_3_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_02_03_COEFF_3_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_02_03_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_02_03_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE4_04_05 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_04_05_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_04_05_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_04_05_COEFF_4_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_04_05_COEFF_4_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_04_05_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_04_05_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_04_05_COEFF_5_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_04_05_COEFF_5_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_04_05_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_04_05_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE4_06_07 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_06_07_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_06_07_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_06_07_COEFF_6_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_06_07_COEFF_6_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_06_07_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_06_07_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_06_07_COEFF_7_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_06_07_COEFF_7_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_06_07_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_06_07_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE4_08_09 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 8 and 9 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_08_09_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_08_09_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_08_09_COEFF_8_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_08_09_COEFF_8_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_08_09_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_08_09_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_08_09_COEFF_9_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_08_09_COEFF_9_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_08_09_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_08_09_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE4_10_11 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 10 and 11 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_10_11_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_10_11_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_10_11_COEFF_10_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_10_11_COEFF_10_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_10_11_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_10_11_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_10_11_COEFF_11_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_10_11_COEFF_11_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_10_11_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_10_11_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE4_12_13 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 12 and 13 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_12_13_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_12_13_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_12_13_COEFF_12_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_12_13_COEFF_12_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_12_13_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_12_13_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_12_13_COEFF_13_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_12_13_COEFF_13_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_12_13_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_12_13_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE4_14_15 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 14 and 15 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_14_15_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_14_15_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_14_15_COEFF_14_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_14_15_COEFF_14_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_14_15_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_14_15_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_14_15_COEFF_15_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_14_15_COEFF_15_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE4_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_14_15_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE4_14_15_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE5_00_01 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_00_01_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_00_01_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_00_01_COEFF_0_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_00_01_COEFF_0_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_00_01_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_00_01_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_00_01_COEFF_1_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_00_01_COEFF_1_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_00_01_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_00_01_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE5_02_03 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_02_03_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_02_03_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_02_03_COEFF_2_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_02_03_COEFF_2_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_02_03_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_02_03_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_02_03_COEFF_3_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_02_03_COEFF_3_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_02_03_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_02_03_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE5_04_05 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_04_05_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_04_05_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_04_05_COEFF_4_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_04_05_COEFF_4_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_04_05_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_04_05_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_04_05_COEFF_5_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_04_05_COEFF_5_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_04_05_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_04_05_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE5_06_07 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_06_07_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_06_07_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_06_07_COEFF_6_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_06_07_COEFF_6_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_06_07_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_06_07_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_06_07_COEFF_7_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_06_07_COEFF_7_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_06_07_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_06_07_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE5_08_09 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 8 and 9 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_08_09_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_08_09_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_08_09_COEFF_8_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_08_09_COEFF_8_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_08_09_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_08_09_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_08_09_COEFF_9_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_08_09_COEFF_9_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_08_09_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_08_09_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE5_10_11 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 10 and 11 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_10_11_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_10_11_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_10_11_COEFF_10_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_10_11_COEFF_10_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_10_11_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_10_11_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_10_11_COEFF_11_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_10_11_COEFF_11_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_10_11_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_10_11_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE5_12_13 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 12 and 13 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_12_13_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_12_13_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_12_13_COEFF_12_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_12_13_COEFF_12_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_12_13_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_12_13_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_12_13_COEFF_13_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_12_13_COEFF_13_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_12_13_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_12_13_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE5_14_15 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 14 and 15 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_14_15_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_14_15_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_14_15_COEFF_14_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_14_15_COEFF_14_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_14_15_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_14_15_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_14_15_COEFF_15_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_14_15_COEFF_15_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE5_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_14_15_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE5_14_15_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE6_00_01 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_00_01_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_00_01_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_00_01_COEFF_0_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_00_01_COEFF_0_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_00_01_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_00_01_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_00_01_COEFF_1_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_00_01_COEFF_1_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_00_01_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_00_01_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE6_02_03 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_02_03_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_02_03_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_02_03_COEFF_2_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_02_03_COEFF_2_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_02_03_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_02_03_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_02_03_COEFF_3_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_02_03_COEFF_3_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_02_03_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_02_03_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE6_04_05 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_04_05_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_04_05_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_04_05_COEFF_4_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_04_05_COEFF_4_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_04_05_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_04_05_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_04_05_COEFF_5_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_04_05_COEFF_5_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_04_05_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_04_05_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE6_06_07 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_06_07_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_06_07_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_06_07_COEFF_6_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_06_07_COEFF_6_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_06_07_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_06_07_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_06_07_COEFF_7_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_06_07_COEFF_7_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_06_07_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_06_07_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE6_08_09 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 8 and 9 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_08_09_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_08_09_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_08_09_COEFF_8_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_08_09_COEFF_8_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_08_09_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_08_09_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_08_09_COEFF_9_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_08_09_COEFF_9_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_08_09_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_08_09_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE6_10_11 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 10 and 11 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_10_11_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_10_11_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_10_11_COEFF_10_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_10_11_COEFF_10_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_10_11_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_10_11_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_10_11_COEFF_11_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_10_11_COEFF_11_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_10_11_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_10_11_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE6_12_13 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 12 and 13 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_12_13_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_12_13_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_12_13_COEFF_12_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_12_13_COEFF_12_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_12_13_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_12_13_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_12_13_COEFF_13_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_12_13_COEFF_13_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_12_13_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_12_13_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE6_14_15 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 14 and 15 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_14_15_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_14_15_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_14_15_COEFF_14_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_14_15_COEFF_14_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_14_15_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_14_15_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_14_15_COEFF_15_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_14_15_COEFF_15_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE6_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_14_15_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE6_14_15_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE7_00_01 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 0 and 1 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_00_01_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_00_01_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_00_01_COEFF_0_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_00_01_COEFF_0_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_00_01_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_00_01_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_00_01_COEFF_1_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_00_01_COEFF_1_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_00_01_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_00_01_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE7_02_03 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 2 and 3 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_02_03_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_02_03_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_02_03_COEFF_2_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_02_03_COEFF_2_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_02_03_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_02_03_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_02_03_COEFF_3_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_02_03_COEFF_3_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_02_03_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_02_03_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE7_04_05 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 4 and 5 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_04_05_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_04_05_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_04_05_COEFF_4_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_04_05_COEFF_4_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_04_05_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_04_05_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_04_05_COEFF_5_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_04_05_COEFF_5_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_04_05_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_04_05_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE7_06_07 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 6 and 7 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_06_07_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_06_07_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_06_07_COEFF_6_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_06_07_COEFF_6_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_06_07_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_06_07_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_06_07_COEFF_7_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_06_07_COEFF_7_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_06_07_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_06_07_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE7_08_09 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 8 and 9 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_08_09_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_08_09_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_08_09_COEFF_8_MASK      0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_08_09_COEFF_8_SHIFT     18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_08_09_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_08_09_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_08_09_COEFF_9_MASK      0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_08_09_COEFF_9_SHIFT     2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_08_09_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_08_09_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE7_10_11 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 10 and 11 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_10_11_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_10_11_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_10_11_COEFF_10_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_10_11_COEFF_10_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_10_11_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_10_11_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_10_11_COEFF_11_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_10_11_COEFF_11_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_10_11_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_10_11_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE7_12_13 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 12 and 13 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_12_13_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_12_13_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_12_13_COEFF_12_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_12_13_COEFF_12_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_12_13_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_12_13_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_12_13_COEFF_13_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_12_13_COEFF_13_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_12_13_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_12_13_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_COEFF_PHASE7_14_15 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 14 and 15 Luma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_14_15_reserved0_MASK    0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_14_15_reserved0_SHIFT   30

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_14_15_COEFF_14_MASK     0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_14_15_COEFF_14_SHIFT    18

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_14_15_reserved1_MASK    0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_14_15_reserved1_SHIFT   14

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_14_15_COEFF_15_MASK     0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_14_15_COEFF_15_SHIFT    2

/* SCL_HD :: HORIZ_FIR_COEFF_PHASE7_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_14_15_reserved2_MASK    0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_COEFF_PHASE7_14_15_reserved2_SHIFT   0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_00_01_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_02_03_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_04_05_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_06_07_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 8 and 9 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09_COEFF_8_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09_COEFF_8_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09_COEFF_9_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09_COEFF_9_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_08_09_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 10 and 11 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11_COEFF_10_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11_COEFF_10_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11_COEFF_11_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11_COEFF_11_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_10_11_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 12 and 13 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13_COEFF_12_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13_COEFF_12_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13_COEFF_13_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13_COEFF_13_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_12_13_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15 - Horizontal Scaler Poly-Phase Filter Phase 0 Tap 14 and 15 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15_COEFF_14_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15_COEFF_14_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15_COEFF_15_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15_COEFF_15_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE0_14_15_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_00_01_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_02_03_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_04_05_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_06_07_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 8 and 9 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09_COEFF_8_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09_COEFF_8_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09_COEFF_9_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09_COEFF_9_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_08_09_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 10 and 11 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11_COEFF_10_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11_COEFF_10_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11_COEFF_11_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11_COEFF_11_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_10_11_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 12 and 13 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13_COEFF_12_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13_COEFF_12_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13_COEFF_13_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13_COEFF_13_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_12_13_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15 - Horizontal Scaler Poly-Phase Filter Phase 1 Tap 14 and 15 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15_COEFF_14_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15_COEFF_14_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15_COEFF_15_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15_COEFF_15_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE1_14_15_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_00_01_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_02_03_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_04_05_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_06_07_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 8 and 9 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09_COEFF_8_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09_COEFF_8_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09_COEFF_9_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09_COEFF_9_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_08_09_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 10 and 11 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11_COEFF_10_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11_COEFF_10_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11_COEFF_11_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11_COEFF_11_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_10_11_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 12 and 13 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13_COEFF_12_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13_COEFF_12_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13_COEFF_13_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13_COEFF_13_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_12_13_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15 - Horizontal Scaler Poly-Phase Filter Phase 2 Tap 14 and 15 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15_COEFF_14_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15_COEFF_14_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15_COEFF_15_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15_COEFF_15_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE2_14_15_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_00_01_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_02_03_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_04_05_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_06_07_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 8 and 9 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09_COEFF_8_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09_COEFF_8_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09_COEFF_9_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09_COEFF_9_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_08_09_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 10 and 11 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11_COEFF_10_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11_COEFF_10_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11_COEFF_11_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11_COEFF_11_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_10_11_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 12 and 13 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13_COEFF_12_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13_COEFF_12_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13_COEFF_13_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13_COEFF_13_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_12_13_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15 - Horizontal Scaler Poly-Phase Filter Phase 3 Tap 14 and 15 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15_COEFF_14_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15_COEFF_14_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15_COEFF_15_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15_COEFF_15_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE3_14_15_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_00_01_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_02_03_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_04_05_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_06_07_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 8 and 9 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09_COEFF_8_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09_COEFF_8_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09_COEFF_9_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09_COEFF_9_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_08_09_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 10 and 11 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11_COEFF_10_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11_COEFF_10_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11_COEFF_11_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11_COEFF_11_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_10_11_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 12 and 13 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13_COEFF_12_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13_COEFF_12_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13_COEFF_13_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13_COEFF_13_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_12_13_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15 - Horizontal Scaler Poly-Phase Filter Phase 4 Tap 14 and 15 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15_COEFF_14_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15_COEFF_14_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15_COEFF_15_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15_COEFF_15_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE4_14_15_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_00_01_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_02_03_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_04_05_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_06_07_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 8 and 9 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09_COEFF_8_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09_COEFF_8_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09_COEFF_9_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09_COEFF_9_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_08_09_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 10 and 11 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11_COEFF_10_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11_COEFF_10_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11_COEFF_11_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11_COEFF_11_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_10_11_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 12 and 13 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13_COEFF_12_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13_COEFF_12_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13_COEFF_13_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13_COEFF_13_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_12_13_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15 - Horizontal Scaler Poly-Phase Filter Phase 5 Tap 14 and 15 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15_COEFF_14_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15_COEFF_14_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15_COEFF_15_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15_COEFF_15_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE5_14_15_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_00_01_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_02_03_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_04_05_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_06_07_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 8 and 9 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09_COEFF_8_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09_COEFF_8_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09_COEFF_9_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09_COEFF_9_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_08_09_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 10 and 11 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11_COEFF_10_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11_COEFF_10_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11_COEFF_11_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11_COEFF_11_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_10_11_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 12 and 13 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13_COEFF_12_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13_COEFF_12_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13_COEFF_13_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13_COEFF_13_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_12_13_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15 - Horizontal Scaler Poly-Phase Filter Phase 6 Tap 14 and 15 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15_COEFF_14_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15_COEFF_14_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15_COEFF_15_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15_COEFF_15_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE6_14_15_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 0 and 1 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01 :: COEFF_0 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01_COEFF_0_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01_COEFF_0_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01 :: COEFF_1 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01_COEFF_1_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01_COEFF_1_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_00_01_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 2 and 3 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03 :: COEFF_2 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03_COEFF_2_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03_COEFF_2_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03 :: COEFF_3 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03_COEFF_3_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03_COEFF_3_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_02_03_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 4 and 5 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05 :: COEFF_4 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05_COEFF_4_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05_COEFF_4_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05 :: COEFF_5 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05_COEFF_5_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05_COEFF_5_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_04_05_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 6 and 7 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07 :: COEFF_6 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07_COEFF_6_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07_COEFF_6_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07 :: COEFF_7 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07_COEFF_7_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07_COEFF_7_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_06_07_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 8 and 9 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09 :: COEFF_8 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09_COEFF_8_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09_COEFF_8_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09 :: COEFF_9 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09_COEFF_9_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09_COEFF_9_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_08_09_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 10 and 11 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11 :: COEFF_10 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11_COEFF_10_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11_COEFF_10_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11 :: COEFF_11 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11_COEFF_11_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11_COEFF_11_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_10_11_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 12 and 13 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13 :: COEFF_12 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13_COEFF_12_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13_COEFF_12_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13 :: COEFF_13 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13_COEFF_13_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13_COEFF_13_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_12_13_reserved2_SHIFT 0

/***************************************************************************
 *HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15 - Horizontal Scaler Poly-Phase Filter Phase 7 Tap 14 and 15 Chroma Coefficients
 ***************************************************************************/
/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15 :: reserved0 [31:30] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15_reserved0_MASK 0xc0000000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15_reserved0_SHIFT 30

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15 :: COEFF_14 [29:18] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15_COEFF_14_MASK 0x3ffc0000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15_COEFF_14_SHIFT 18

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15 :: reserved1 [17:14] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15_reserved1_MASK 0x0003c000
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15_reserved1_SHIFT 14

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15 :: COEFF_15 [13:02] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15_COEFF_15_MASK 0x00003ffc
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15_COEFF_15_SHIFT 2

/* SCL_HD :: HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15 :: reserved2 [01:00] */
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15_reserved2_MASK 0x00000003
#define BCHP_SCL_HD_HORIZ_FIR_CHROMA_COEFF_PHASE7_14_15_reserved2_SHIFT 0

#endif /* #ifndef BCHP_SCL_HD_H__ */

/* End of File */
